<?php

namespace BookBundle\Entity;

/**
 * JieqiArticleSort
 */
class JieqiArticleSort
{
    /**
     * @var boolean
     */
    private $layer = '0';

    /**
     * @var integer
     */
    private $weight = '0';

    /**
     * @var string
     */
    private $caption = '';

    /**
     * @var string
     */
    private $shortname = '';

    /**
     * @var string
     */
    private $description;

    /**
     * @var string
     */
    private $imgurl = '';

    /**
     * @var boolean
     */
    private $authflag = '0';

    /**
     * @var string
     */
    private $authview = '';

    /**
     * @var string
     */
    private $authread = '';

    /**
     * @var string
     */
    private $authpost = '';

    /**
     * @var string
     */
    private $authreply = '';

    /**
     * @var string
     */
    private $authupload = '';

    /**
     * @var string
     */
    private $authedit = '';

    /**
     * @var string
     */
    private $authdelete = '';

    /**
     * @var boolean
     */
    private $publish = '0';

    /**
     * @var integer
     */
    private $sortid;


    /**
     * Set layer
     *
     * @param boolean $layer
     *
     * @return JieqiArticleSort
     */
    public function setLayer($layer)
    {
        $this->layer = $layer;

        return $this;
    }

    /**
     * Get layer
     *
     * @return boolean
     */
    public function getLayer()
    {
        return $this->layer;
    }

    /**
     * Set weight
     *
     * @param integer $weight
     *
     * @return JieqiArticleSort
     */
    public function setWeight($weight)
    {
        $this->weight = $weight;

        return $this;
    }

    /**
     * Get weight
     *
     * @return integer
     */
    public function getWeight()
    {
        return $this->weight;
    }

    /**
     * Set caption
     *
     * @param string $caption
     *
     * @return JieqiArticleSort
     */
    public function setCaption($caption)
    {
        $this->caption = $caption;

        return $this;
    }

    /**
     * Get caption
     *
     * @return string
     */
    public function getCaption()
    {
        return $this->caption;
    }

    /**
     * Set shortname
     *
     * @param string $shortname
     *
     * @return JieqiArticleSort
     */
    public function setShortname($shortname)
    {
        $this->shortname = $shortname;

        return $this;
    }

    /**
     * Get shortname
     *
     * @return string
     */
    public function getShortname()
    {
        return $this->shortname;
    }

    /**
     * Set description
     *
     * @param string $description
     *
     * @return JieqiArticleSort
     */
    public function setDescription($description)
    {
        $this->description = $description;

        return $this;
    }

    /**
     * Get description
     *
     * @return string
     */
    public function getDescription()
    {
        return $this->description;
    }

    /**
     * Set imgurl
     *
     * @param string $imgurl
     *
     * @return JieqiArticleSort
     */
    public function setImgurl($imgurl)
    {
        $this->imgurl = $imgurl;

        return $this;
    }

    /**
     * Get imgurl
     *
     * @return string
     */
    public function getImgurl()
    {
        return $this->imgurl;
    }

    /**
     * Set authflag
     *
     * @param boolean $authflag
     *
     * @return JieqiArticleSort
     */
    public function setAuthflag($authflag)
    {
        $this->authflag = $authflag;

        return $this;
    }

    /**
     * Get authflag
     *
     * @return boolean
     */
    public function getAuthflag()
    {
        return $this->authflag;
    }

    /**
     * Set authview
     *
     * @param string $authview
     *
     * @return JieqiArticleSort
     */
    public function setAuthview($authview)
    {
        $this->authview = $authview;

        return $this;
    }

    /**
     * Get authview
     *
     * @return string
     */
    public function getAuthview()
    {
        return $this->authview;
    }

    /**
     * Set authread
     *
     * @param string $authread
     *
     * @return JieqiArticleSort
     */
    public function setAuthread($authread)
    {
        $this->authread = $authread;

        return $this;
    }

    /**
     * Get authread
     *
     * @return string
     */
    public function getAuthread()
    {
        return $this->authread;
    }

    /**
     * Set authpost
     *
     * @param string $authpost
     *
     * @return JieqiArticleSort
     */
    public function setAuthpost($authpost)
    {
        $this->authpost = $authpost;

        return $this;
    }

    /**
     * Get authpost
     *
     * @return string
     */
    public function getAuthpost()
    {
        return $this->authpost;
    }

    /**
     * Set authreply
     *
     * @param string $authreply
     *
     * @return JieqiArticleSort
     */
    public function setAuthreply($authreply)
    {
        $this->authreply = $authreply;

        return $this;
    }

    /**
     * Get authreply
     *
     * @return string
     */
    public function getAuthreply()
    {
        return $this->authreply;
    }

    /**
     * Set authupload
     *
     * @param string $authupload
     *
     * @return JieqiArticleSort
     */
    public function setAuthupload($authupload)
    {
        $this->authupload = $authupload;

        return $this;
    }

    /**
     * Get authupload
     *
     * @return string
     */
    public function getAuthupload()
    {
        return $this->authupload;
    }

    /**
     * Set authedit
     *
     * @param string $authedit
     *
     * @return JieqiArticleSort
     */
    public function setAuthedit($authedit)
    {
        $this->authedit = $authedit;

        return $this;
    }

    /**
     * Get authedit
     *
     * @return string
     */
    public function getAuthedit()
    {
        return $this->authedit;
    }

    /**
     * Set authdelete
     *
     * @param string $authdelete
     *
     * @return JieqiArticleSort
     */
    public function setAuthdelete($authdelete)
    {
        $this->authdelete = $authdelete;

        return $this;
    }

    /**
     * Get authdelete
     *
     * @return string
     */
    public function getAuthdelete()
    {
        return $this->authdelete;
    }

    /**
     * Set publish
     *
     * @param boolean $publish
     *
     * @return JieqiArticleSort
     */
    public function setPublish($publish)
    {
        $this->publish = $publish;

        return $this;
    }

    /**
     * Get publish
     *
     * @return boolean
     */
    public function getPublish()
    {
        return $this->publish;
    }

    /**
     * Get sortid
     *
     * @return integer
     */
    public function getSortid()
    {
        return $this->sortid;
    }
}

