<?php

namespace BookBundle\Entity;

/**
 * JieqiBookBook
 */
class JieqiBookBook
{
    /**
     * @var string
     */
    private $bookName;

    /**
     * @var string
     */
    private $authorName;

    /**
     * @var integer
     */
    private $cpid = '1000';

    /**
     * @var integer
     */
    private $cpBookId;

    /**
     * @var string
     */
    private $summary;

    /**
     * @var string
     */
    private $notice;

    /**
     * @var integer
     */
    private $categoryId;

    /**
     * @var integer
     */
    private $typeId = '0';

    /**
     * @var string
     */
    private $tags;

    /**
     * @var integer
     */
    private $bookStatus;

    /**
     * @var integer
     */
    private $finished;

    /**
     * @var integer
     */
    private $lastChapterId = '0';

    /**
     * @var string
     */
    private $lastChapterName = '暂无';

    /**
     * @var integer
     */
    private $chapters;

    /**
     * @var integer
     */
    private $words;

    /**
     * @var integer
     */
    private $imageJson;

    /**
     * @var string
     */
    private $pubJson;

    /**
     * @var string
     */
    private $copyrightJson;

    /**
     * @var string
     */
    private $permissionJson;

    /**
     * @var integer
     */
    private $bookPriceType;

    /**
     * @var integer
     */
    private $bookCostJson;

    /**
     * @var integer
     */
    private $recordUtc;

    /**
     * @var integer
     */
    private $updateUtc;

    /**
     * @var string
     */
    private $longRecommend;

    /**
     * @var string
     */
    private $shortRecommend;

    /**
     * @var integer
     */
    private $oneoffPrice;

    /**
     * @var integer
     */
    private $sizePrice = '3';

    /**
     * @var integer
     */
    private $chapterPrice = '0';

    /**
     * @var integer
     */
    private $bookId;


    /**
     * Set bookName
     *
     * @param string $bookName
     *
     * @return JieqiBookBook
     */
    public function setBookName($bookName)
    {
        $this->bookName = $bookName;

        return $this;
    }

    /**
     * Get bookName
     *
     * @return string
     */
    public function getBookName()
    {
        return $this->bookName;
    }

    /**
     * Set authorName
     *
     * @param string $authorName
     *
     * @return JieqiBookBook
     */
    public function setAuthorName($authorName)
    {
        $this->authorName = $authorName;

        return $this;
    }

    /**
     * Get authorName
     *
     * @return string
     */
    public function getAuthorName()
    {
        return $this->authorName;
    }

    /**
     * Set cpid
     *
     * @param integer $cpid
     *
     * @return JieqiBookBook
     */
    public function setCpid($cpid)
    {
        $this->cpid = $cpid;

        return $this;
    }

    /**
     * Get cpid
     *
     * @return integer
     */
    public function getCpid()
    {
        return $this->cpid;
    }

    /**
     * Set cpBookId
     *
     * @param integer $cpBookId
     *
     * @return JieqiBookBook
     */
    public function setCpBookId($cpBookId)
    {
        $this->cpBookId = $cpBookId;

        return $this;
    }

    /**
     * Get cpBookId
     *
     * @return integer
     */
    public function getCpBookId()
    {
        return $this->cpBookId;
    }

    /**
     * Set summary
     *
     * @param string $summary
     *
     * @return JieqiBookBook
     */
    public function setSummary($summary)
    {
        $this->summary = $summary;

        return $this;
    }

    /**
     * Get summary
     *
     * @return string
     */
    public function getSummary()
    {
        return $this->summary;
    }

    /**
     * Set notice
     *
     * @param string $notice
     *
     * @return JieqiBookBook
     */
    public function setNotice($notice)
    {
        $this->notice = $notice;

        return $this;
    }

    /**
     * Get notice
     *
     * @return string
     */
    public function getNotice()
    {
        return $this->notice;
    }

    /**
     * Set categoryId
     *
     * @param integer $categoryId
     *
     * @return JieqiBookBook
     */
    public function setCategoryId($categoryId)
    {
        $this->categoryId = $categoryId;

        return $this;
    }

    /**
     * Get categoryId
     *
     * @return integer
     */
    public function getCategoryId()
    {
        return $this->categoryId;
    }

    /**
     * Set typeId
     *
     * @param integer $typeId
     *
     * @return JieqiBookBook
     */
    public function setTypeId($typeId)
    {
        $this->typeId = $typeId;

        return $this;
    }

    /**
     * Get typeId
     *
     * @return integer
     */
    public function getTypeId()
    {
        return $this->typeId;
    }

    /**
     * Set tags
     *
     * @param string $tags
     *
     * @return JieqiBookBook
     */
    public function setTags($tags)
    {
        $this->tags = $tags;

        return $this;
    }

    /**
     * Get tags
     *
     * @return string
     */
    public function getTags()
    {
        return $this->tags;
    }

    /**
     * Set bookStatus
     *
     * @param integer $bookStatus
     *
     * @return JieqiBookBook
     */
    public function setBookStatus($bookStatus)
    {
        $this->bookStatus = $bookStatus;

        return $this;
    }

    /**
     * Get bookStatus
     *
     * @return integer
     */
    public function getBookStatus()
    {
        return $this->bookStatus;
    }

    /**
     * Set finished
     *
     * @param integer $finished
     *
     * @return JieqiBookBook
     */
    public function setFinished($finished)
    {
        $this->finished = $finished;

        return $this;
    }

    /**
     * Get finished
     *
     * @return integer
     */
    public function getFinished()
    {
        return $this->finished;
    }

    /**
     * Set lastChapterId
     *
     * @param integer $lastChapterId
     *
     * @return JieqiBookBook
     */
    public function setLastChapterId($lastChapterId)
    {
        $this->lastChapterId = $lastChapterId;

        return $this;
    }

    /**
     * Get lastChapterId
     *
     * @return integer
     */
    public function getLastChapterId()
    {
        return $this->lastChapterId;
    }

    /**
     * Set lastChapterName
     *
     * @param string $lastChapterName
     *
     * @return JieqiBookBook
     */
    public function setLastChapterName($lastChapterName)
    {
        $this->lastChapterName = $lastChapterName;

        return $this;
    }

    /**
     * Get lastChapterName
     *
     * @return string
     */
    public function getLastChapterName()
    {
        return $this->lastChapterName;
    }

    /**
     * Set chapters
     *
     * @param integer $chapters
     *
     * @return JieqiBookBook
     */
    public function setChapters($chapters)
    {
        $this->chapters = $chapters;

        return $this;
    }

    /**
     * Get chapters
     *
     * @return integer
     */
    public function getChapters()
    {
        return $this->chapters;
    }

    /**
     * Set words
     *
     * @param integer $words
     *
     * @return JieqiBookBook
     */
    public function setWords($words)
    {
        $this->words = $words;

        return $this;
    }

    /**
     * Get words
     *
     * @return integer
     */
    public function getWords()
    {
        return $this->words;
    }

    /**
     * Set imageJson
     *
     * @param integer $imageJson
     *
     * @return JieqiBookBook
     */
    public function setImageJson($imageJson)
    {
        $this->imageJson = $imageJson;

        return $this;
    }

    /**
     * Get imageJson
     *
     * @return integer
     */
    public function getImageJson()
    {
        return $this->imageJson;
    }

    /**
     * Set pubJson
     *
     * @param string $pubJson
     *
     * @return JieqiBookBook
     */
    public function setPubJson($pubJson)
    {
        $this->pubJson = $pubJson;

        return $this;
    }

    /**
     * Get pubJson
     *
     * @return string
     */
    public function getPubJson()
    {
        return $this->pubJson;
    }

    /**
     * Set copyrightJson
     *
     * @param string $copyrightJson
     *
     * @return JieqiBookBook
     */
    public function setCopyrightJson($copyrightJson)
    {
        $this->copyrightJson = $copyrightJson;

        return $this;
    }

    /**
     * Get copyrightJson
     *
     * @return string
     */
    public function getCopyrightJson()
    {
        return $this->copyrightJson;
    }

    /**
     * Set permissionJson
     *
     * @param string $permissionJson
     *
     * @return JieqiBookBook
     */
    public function setPermissionJson($permissionJson)
    {
        $this->permissionJson = $permissionJson;

        return $this;
    }

    /**
     * Get permissionJson
     *
     * @return string
     */
    public function getPermissionJson()
    {
        return $this->permissionJson;
    }

    /**
     * Set bookPriceType
     *
     * @param integer $bookPriceType
     *
     * @return JieqiBookBook
     */
    public function setBookPriceType($bookPriceType)
    {
        $this->bookPriceType = $bookPriceType;

        return $this;
    }

    /**
     * Get bookPriceType
     *
     * @return integer
     */
    public function getBookPriceType()
    {
        return $this->bookPriceType;
    }

    /**
     * Set bookCostJson
     *
     * @param integer $bookCostJson
     *
     * @return JieqiBookBook
     */
    public function setBookCostJson($bookCostJson)
    {
        $this->bookCostJson = $bookCostJson;

        return $this;
    }

    /**
     * Get bookCostJson
     *
     * @return integer
     */
    public function getBookCostJson()
    {
        return $this->bookCostJson;
    }

    /**
     * Set recordUtc
     *
     * @param integer $recordUtc
     *
     * @return JieqiBookBook
     */
    public function setRecordUtc($recordUtc)
    {
        $this->recordUtc = $recordUtc;

        return $this;
    }

    /**
     * Get recordUtc
     *
     * @return integer
     */
    public function getRecordUtc()
    {
        return $this->recordUtc;
    }

    /**
     * Set updateUtc
     *
     * @param integer $updateUtc
     *
     * @return JieqiBookBook
     */
    public function setUpdateUtc($updateUtc)
    {
        $this->updateUtc = $updateUtc;

        return $this;
    }

    /**
     * Get updateUtc
     *
     * @return integer
     */
    public function getUpdateUtc()
    {
        return $this->updateUtc;
    }

    /**
     * Set longRecommend
     *
     * @param string $longRecommend
     *
     * @return JieqiBookBook
     */
    public function setLongRecommend($longRecommend)
    {
        $this->longRecommend = $longRecommend;

        return $this;
    }

    /**
     * Get longRecommend
     *
     * @return string
     */
    public function getLongRecommend()
    {
        return $this->longRecommend;
    }

    /**
     * Set shortRecommend
     *
     * @param string $shortRecommend
     *
     * @return JieqiBookBook
     */
    public function setShortRecommend($shortRecommend)
    {
        $this->shortRecommend = $shortRecommend;

        return $this;
    }

    /**
     * Get shortRecommend
     *
     * @return string
     */
    public function getShortRecommend()
    {
        return $this->shortRecommend;
    }

    /**
     * Set oneoffPrice
     *
     * @param integer $oneoffPrice
     *
     * @return JieqiBookBook
     */
    public function setOneoffPrice($oneoffPrice)
    {
        $this->oneoffPrice = $oneoffPrice;

        return $this;
    }

    /**
     * Get oneoffPrice
     *
     * @return integer
     */
    public function getOneoffPrice()
    {
        return $this->oneoffPrice;
    }

    /**
     * Set sizePrice
     *
     * @param integer $sizePrice
     *
     * @return JieqiBookBook
     */
    public function setSizePrice($sizePrice)
    {
        $this->sizePrice = $sizePrice;

        return $this;
    }

    /**
     * Get sizePrice
     *
     * @return integer
     */
    public function getSizePrice()
    {
        return $this->sizePrice;
    }

    /**
     * Set chapterPrice
     *
     * @param integer $chapterPrice
     *
     * @return JieqiBookBook
     */
    public function setChapterPrice($chapterPrice)
    {
        $this->chapterPrice = $chapterPrice;

        return $this;
    }

    /**
     * Get chapterPrice
     *
     * @return integer
     */
    public function getChapterPrice()
    {
        return $this->chapterPrice;
    }

    /**
     * Get bookId
     *
     * @return integer
     */
    public function getBookId()
    {
        return $this->bookId;
    }
}

