<?php

namespace BookBundle\Entity;

/**
 * JieqiNewsModel
 */
class JieqiNewsModel
{
    /**
     * @var string
     */
    private $name;

    /**
     * @var string
     */
    private $description;

    /**
     * @var string
     */
    private $tablename;

    /**
     * @var string
     */
    private $itemname;

    /**
     * @var string
     */
    private $itemunit;

    /**
     * @var boolean
     */
    private $workflowid = '0';

    /**
     * @var string
     */
    private $templateCategory;

    /**
     * @var string
     */
    private $templateList;

    /**
     * @var string
     */
    private $templateShow;

    /**
     * @var string
     */
    private $templatePrint;

    /**
     * @var boolean
     */
    private $ishtml = '0';

    /**
     * @var boolean
     */
    private $showIshtml = '0';

    /**
     * @var string
     */
    private $categoryUrlrule;

    /**
     * @var string
     */
    private $listUrlrule = '0';

    /**
     * @var string
     */
    private $showUrlrule;

    /**
     * @var boolean
     */
    private $enablesearch = '1';

    /**
     * @var boolean
     */
    private $ischeck = '1';

    /**
     * @var boolean
     */
    private $isrelated = '1';

    /**
     * @var boolean
     */
    private $disabled = '0';

    /**
     * @var string
     */
    private $pagefield;

    /**
     * @var boolean
     */
    private $modelid;


    /**
     * Set name
     *
     * @param string $name
     *
     * @return JieqiNewsModel
     */
    public function setName($name)
    {
        $this->name = $name;

        return $this;
    }

    /**
     * Get name
     *
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * Set description
     *
     * @param string $description
     *
     * @return JieqiNewsModel
     */
    public function setDescription($description)
    {
        $this->description = $description;

        return $this;
    }

    /**
     * Get description
     *
     * @return string
     */
    public function getDescription()
    {
        return $this->description;
    }

    /**
     * Set tablename
     *
     * @param string $tablename
     *
     * @return JieqiNewsModel
     */
    public function setTablename($tablename)
    {
        $this->tablename = $tablename;

        return $this;
    }

    /**
     * Get tablename
     *
     * @return string
     */
    public function getTablename()
    {
        return $this->tablename;
    }

    /**
     * Set itemname
     *
     * @param string $itemname
     *
     * @return JieqiNewsModel
     */
    public function setItemname($itemname)
    {
        $this->itemname = $itemname;

        return $this;
    }

    /**
     * Get itemname
     *
     * @return string
     */
    public function getItemname()
    {
        return $this->itemname;
    }

    /**
     * Set itemunit
     *
     * @param string $itemunit
     *
     * @return JieqiNewsModel
     */
    public function setItemunit($itemunit)
    {
        $this->itemunit = $itemunit;

        return $this;
    }

    /**
     * Get itemunit
     *
     * @return string
     */
    public function getItemunit()
    {
        return $this->itemunit;
    }

    /**
     * Set workflowid
     *
     * @param boolean $workflowid
     *
     * @return JieqiNewsModel
     */
    public function setWorkflowid($workflowid)
    {
        $this->workflowid = $workflowid;

        return $this;
    }

    /**
     * Get workflowid
     *
     * @return boolean
     */
    public function getWorkflowid()
    {
        return $this->workflowid;
    }

    /**
     * Set templateCategory
     *
     * @param string $templateCategory
     *
     * @return JieqiNewsModel
     */
    public function setTemplateCategory($templateCategory)
    {
        $this->templateCategory = $templateCategory;

        return $this;
    }

    /**
     * Get templateCategory
     *
     * @return string
     */
    public function getTemplateCategory()
    {
        return $this->templateCategory;
    }

    /**
     * Set templateList
     *
     * @param string $templateList
     *
     * @return JieqiNewsModel
     */
    public function setTemplateList($templateList)
    {
        $this->templateList = $templateList;

        return $this;
    }

    /**
     * Get templateList
     *
     * @return string
     */
    public function getTemplateList()
    {
        return $this->templateList;
    }

    /**
     * Set templateShow
     *
     * @param string $templateShow
     *
     * @return JieqiNewsModel
     */
    public function setTemplateShow($templateShow)
    {
        $this->templateShow = $templateShow;

        return $this;
    }

    /**
     * Get templateShow
     *
     * @return string
     */
    public function getTemplateShow()
    {
        return $this->templateShow;
    }

    /**
     * Set templatePrint
     *
     * @param string $templatePrint
     *
     * @return JieqiNewsModel
     */
    public function setTemplatePrint($templatePrint)
    {
        $this->templatePrint = $templatePrint;

        return $this;
    }

    /**
     * Get templatePrint
     *
     * @return string
     */
    public function getTemplatePrint()
    {
        return $this->templatePrint;
    }

    /**
     * Set ishtml
     *
     * @param boolean $ishtml
     *
     * @return JieqiNewsModel
     */
    public function setIshtml($ishtml)
    {
        $this->ishtml = $ishtml;

        return $this;
    }

    /**
     * Get ishtml
     *
     * @return boolean
     */
    public function getIshtml()
    {
        return $this->ishtml;
    }

    /**
     * Set showIshtml
     *
     * @param boolean $showIshtml
     *
     * @return JieqiNewsModel
     */
    public function setShowIshtml($showIshtml)
    {
        $this->showIshtml = $showIshtml;

        return $this;
    }

    /**
     * Get showIshtml
     *
     * @return boolean
     */
    public function getShowIshtml()
    {
        return $this->showIshtml;
    }

    /**
     * Set categoryUrlrule
     *
     * @param string $categoryUrlrule
     *
     * @return JieqiNewsModel
     */
    public function setCategoryUrlrule($categoryUrlrule)
    {
        $this->categoryUrlrule = $categoryUrlrule;

        return $this;
    }

    /**
     * Get categoryUrlrule
     *
     * @return string
     */
    public function getCategoryUrlrule()
    {
        return $this->categoryUrlrule;
    }

    /**
     * Set listUrlrule
     *
     * @param string $listUrlrule
     *
     * @return JieqiNewsModel
     */
    public function setListUrlrule($listUrlrule)
    {
        $this->listUrlrule = $listUrlrule;

        return $this;
    }

    /**
     * Get listUrlrule
     *
     * @return string
     */
    public function getListUrlrule()
    {
        return $this->listUrlrule;
    }

    /**
     * Set showUrlrule
     *
     * @param string $showUrlrule
     *
     * @return JieqiNewsModel
     */
    public function setShowUrlrule($showUrlrule)
    {
        $this->showUrlrule = $showUrlrule;

        return $this;
    }

    /**
     * Get showUrlrule
     *
     * @return string
     */
    public function getShowUrlrule()
    {
        return $this->showUrlrule;
    }

    /**
     * Set enablesearch
     *
     * @param boolean $enablesearch
     *
     * @return JieqiNewsModel
     */
    public function setEnablesearch($enablesearch)
    {
        $this->enablesearch = $enablesearch;

        return $this;
    }

    /**
     * Get enablesearch
     *
     * @return boolean
     */
    public function getEnablesearch()
    {
        return $this->enablesearch;
    }

    /**
     * Set ischeck
     *
     * @param boolean $ischeck
     *
     * @return JieqiNewsModel
     */
    public function setIscheck($ischeck)
    {
        $this->ischeck = $ischeck;

        return $this;
    }

    /**
     * Get ischeck
     *
     * @return boolean
     */
    public function getIscheck()
    {
        return $this->ischeck;
    }

    /**
     * Set isrelated
     *
     * @param boolean $isrelated
     *
     * @return JieqiNewsModel
     */
    public function setIsrelated($isrelated)
    {
        $this->isrelated = $isrelated;

        return $this;
    }

    /**
     * Get isrelated
     *
     * @return boolean
     */
    public function getIsrelated()
    {
        return $this->isrelated;
    }

    /**
     * Set disabled
     *
     * @param boolean $disabled
     *
     * @return JieqiNewsModel
     */
    public function setDisabled($disabled)
    {
        $this->disabled = $disabled;

        return $this;
    }

    /**
     * Get disabled
     *
     * @return boolean
     */
    public function getDisabled()
    {
        return $this->disabled;
    }

    /**
     * Set pagefield
     *
     * @param string $pagefield
     *
     * @return JieqiNewsModel
     */
    public function setPagefield($pagefield)
    {
        $this->pagefield = $pagefield;

        return $this;
    }

    /**
     * Get pagefield
     *
     * @return string
     */
    public function getPagefield()
    {
        return $this->pagefield;
    }

    /**
     * Get modelid
     *
     * @return boolean
     */
    public function getModelid()
    {
        return $this->modelid;
    }
}

