<?php

namespace BookBundle\Entity;

/**
 * JieqiSystemHonors
 */
class JieqiSystemHonors
{
    /**
     * @var string
     */
    private $caption = '';

    /**
     * @var integer
     */
    private $minscore = '0';

    /**
     * @var integer
     */
    private $maxscore = '0';

    /**
     * @var string
     */
    private $setting;

    /**
     * @var boolean
     */
    private $honortype = '0';

    /**
     * @var string
     */
    private $photo;

    /**
     * @var integer
     */
    private $honorid;


    /**
     * Set caption
     *
     * @param string $caption
     *
     * @return JieqiSystemHonors
     */
    public function setCaption($caption)
    {
        $this->caption = $caption;

        return $this;
    }

    /**
     * Get caption
     *
     * @return string
     */
    public function getCaption()
    {
        return $this->caption;
    }

    /**
     * Set minscore
     *
     * @param integer $minscore
     *
     * @return JieqiSystemHonors
     */
    public function setMinscore($minscore)
    {
        $this->minscore = $minscore;

        return $this;
    }

    /**
     * Get minscore
     *
     * @return integer
     */
    public function getMinscore()
    {
        return $this->minscore;
    }

    /**
     * Set maxscore
     *
     * @param integer $maxscore
     *
     * @return JieqiSystemHonors
     */
    public function setMaxscore($maxscore)
    {
        $this->maxscore = $maxscore;

        return $this;
    }

    /**
     * Get maxscore
     *
     * @return integer
     */
    public function getMaxscore()
    {
        return $this->maxscore;
    }

    /**
     * Set setting
     *
     * @param string $setting
     *
     * @return JieqiSystemHonors
     */
    public function setSetting($setting)
    {
        $this->setting = $setting;

        return $this;
    }

    /**
     * Get setting
     *
     * @return string
     */
    public function getSetting()
    {
        return $this->setting;
    }

    /**
     * Set honortype
     *
     * @param boolean $honortype
     *
     * @return JieqiSystemHonors
     */
    public function setHonortype($honortype)
    {
        $this->honortype = $honortype;

        return $this;
    }

    /**
     * Get honortype
     *
     * @return boolean
     */
    public function getHonortype()
    {
        return $this->honortype;
    }

    /**
     * Set photo
     *
     * @param string $photo
     *
     * @return JieqiSystemHonors
     */
    public function setPhoto($photo)
    {
        $this->photo = $photo;

        return $this;
    }

    /**
     * Get photo
     *
     * @return string
     */
    public function getPhoto()
    {
        return $this->photo;
    }

    /**
     * Get honorid
     *
     * @return integer
     */
    public function getHonorid()
    {
        return $this->honorid;
    }
}

