<?php

namespace BookBundle\Entity;

/**
 * JieqiSystemMessage
 */
class JieqiSystemMessage
{
    /**
     * @var integer
     */
    private $siteid = '0';

    /**
     * @var integer
     */
    private $postdate = '0';

    /**
     * @var integer
     */
    private $fromid = '0';

    /**
     * @var string
     */
    private $fromname = '';

    /**
     * @var integer
     */
    private $toid = '0';

    /**
     * @var string
     */
    private $toname = '';

    /**
     * @var string
     */
    private $title = '';

    /**
     * @var string
     */
    private $content;

    /**
     * @var boolean
     */
    private $messagetype = '0';

    /**
     * @var boolean
     */
    private $isread = '0';

    /**
     * @var boolean
     */
    private $fromdel = '0';

    /**
     * @var boolean
     */
    private $todel = '0';

    /**
     * @var boolean
     */
    private $enablebbcode = '1';

    /**
     * @var boolean
     */
    private $enablehtml = '0';

    /**
     * @var boolean
     */
    private $enablesmilies = '1';

    /**
     * @var boolean
     */
    private $attachsig = '1';

    /**
     * @var boolean
     */
    private $attachment = '0';

    /**
     * @var integer
     */
    private $typeid = '0';

    /**
     * @var integer
     */
    private $messageid;


    /**
     * Set siteid
     *
     * @param integer $siteid
     *
     * @return JieqiSystemMessage
     */
    public function setSiteid($siteid)
    {
        $this->siteid = $siteid;

        return $this;
    }

    /**
     * Get siteid
     *
     * @return integer
     */
    public function getSiteid()
    {
        return $this->siteid;
    }

    /**
     * Set postdate
     *
     * @param integer $postdate
     *
     * @return JieqiSystemMessage
     */
    public function setPostdate($postdate)
    {
        $this->postdate = $postdate;

        return $this;
    }

    /**
     * Get postdate
     *
     * @return integer
     */
    public function getPostdate()
    {
        return $this->postdate;
    }

    /**
     * Set fromid
     *
     * @param integer $fromid
     *
     * @return JieqiSystemMessage
     */
    public function setFromid($fromid)
    {
        $this->fromid = $fromid;

        return $this;
    }

    /**
     * Get fromid
     *
     * @return integer
     */
    public function getFromid()
    {
        return $this->fromid;
    }

    /**
     * Set fromname
     *
     * @param string $fromname
     *
     * @return JieqiSystemMessage
     */
    public function setFromname($fromname)
    {
        $this->fromname = $fromname;

        return $this;
    }

    /**
     * Get fromname
     *
     * @return string
     */
    public function getFromname()
    {
        return $this->fromname;
    }

    /**
     * Set toid
     *
     * @param integer $toid
     *
     * @return JieqiSystemMessage
     */
    public function setToid($toid)
    {
        $this->toid = $toid;

        return $this;
    }

    /**
     * Get toid
     *
     * @return integer
     */
    public function getToid()
    {
        return $this->toid;
    }

    /**
     * Set toname
     *
     * @param string $toname
     *
     * @return JieqiSystemMessage
     */
    public function setToname($toname)
    {
        $this->toname = $toname;

        return $this;
    }

    /**
     * Get toname
     *
     * @return string
     */
    public function getToname()
    {
        return $this->toname;
    }

    /**
     * Set title
     *
     * @param string $title
     *
     * @return JieqiSystemMessage
     */
    public function setTitle($title)
    {
        $this->title = $title;

        return $this;
    }

    /**
     * Get title
     *
     * @return string
     */
    public function getTitle()
    {
        return $this->title;
    }

    /**
     * Set content
     *
     * @param string $content
     *
     * @return JieqiSystemMessage
     */
    public function setContent($content)
    {
        $this->content = $content;

        return $this;
    }

    /**
     * Get content
     *
     * @return string
     */
    public function getContent()
    {
        return $this->content;
    }

    /**
     * Set messagetype
     *
     * @param boolean $messagetype
     *
     * @return JieqiSystemMessage
     */
    public function setMessagetype($messagetype)
    {
        $this->messagetype = $messagetype;

        return $this;
    }

    /**
     * Get messagetype
     *
     * @return boolean
     */
    public function getMessagetype()
    {
        return $this->messagetype;
    }

    /**
     * Set isread
     *
     * @param boolean $isread
     *
     * @return JieqiSystemMessage
     */
    public function setIsread($isread)
    {
        $this->isread = $isread;

        return $this;
    }

    /**
     * Get isread
     *
     * @return boolean
     */
    public function getIsread()
    {
        return $this->isread;
    }

    /**
     * Set fromdel
     *
     * @param boolean $fromdel
     *
     * @return JieqiSystemMessage
     */
    public function setFromdel($fromdel)
    {
        $this->fromdel = $fromdel;

        return $this;
    }

    /**
     * Get fromdel
     *
     * @return boolean
     */
    public function getFromdel()
    {
        return $this->fromdel;
    }

    /**
     * Set todel
     *
     * @param boolean $todel
     *
     * @return JieqiSystemMessage
     */
    public function setTodel($todel)
    {
        $this->todel = $todel;

        return $this;
    }

    /**
     * Get todel
     *
     * @return boolean
     */
    public function getTodel()
    {
        return $this->todel;
    }

    /**
     * Set enablebbcode
     *
     * @param boolean $enablebbcode
     *
     * @return JieqiSystemMessage
     */
    public function setEnablebbcode($enablebbcode)
    {
        $this->enablebbcode = $enablebbcode;

        return $this;
    }

    /**
     * Get enablebbcode
     *
     * @return boolean
     */
    public function getEnablebbcode()
    {
        return $this->enablebbcode;
    }

    /**
     * Set enablehtml
     *
     * @param boolean $enablehtml
     *
     * @return JieqiSystemMessage
     */
    public function setEnablehtml($enablehtml)
    {
        $this->enablehtml = $enablehtml;

        return $this;
    }

    /**
     * Get enablehtml
     *
     * @return boolean
     */
    public function getEnablehtml()
    {
        return $this->enablehtml;
    }

    /**
     * Set enablesmilies
     *
     * @param boolean $enablesmilies
     *
     * @return JieqiSystemMessage
     */
    public function setEnablesmilies($enablesmilies)
    {
        $this->enablesmilies = $enablesmilies;

        return $this;
    }

    /**
     * Get enablesmilies
     *
     * @return boolean
     */
    public function getEnablesmilies()
    {
        return $this->enablesmilies;
    }

    /**
     * Set attachsig
     *
     * @param boolean $attachsig
     *
     * @return JieqiSystemMessage
     */
    public function setAttachsig($attachsig)
    {
        $this->attachsig = $attachsig;

        return $this;
    }

    /**
     * Get attachsig
     *
     * @return boolean
     */
    public function getAttachsig()
    {
        return $this->attachsig;
    }

    /**
     * Set attachment
     *
     * @param boolean $attachment
     *
     * @return JieqiSystemMessage
     */
    public function setAttachment($attachment)
    {
        $this->attachment = $attachment;

        return $this;
    }

    /**
     * Get attachment
     *
     * @return boolean
     */
    public function getAttachment()
    {
        return $this->attachment;
    }

    /**
     * Set typeid
     *
     * @param integer $typeid
     *
     * @return JieqiSystemMessage
     */
    public function setTypeid($typeid)
    {
        $this->typeid = $typeid;

        return $this;
    }

    /**
     * Get typeid
     *
     * @return integer
     */
    public function getTypeid()
    {
        return $this->typeid;
    }

    /**
     * Get messageid
     *
     * @return integer
     */
    public function getMessageid()
    {
        return $this->messageid;
    }
}

