<?php

namespace BookBundle\Entity;

/**
 * JieqiSystemUrl
 */
class JieqiSystemUrl
{
    /**
     * @var string
     */
    private $modname = '';

    /**
     * @var string
     */
    private $caption;

    /**
     * @var string
     */
    private $controller;

    /**
     * @var string
     */
    private $method;

    /**
     * @var string
     */
    private $description;

    /**
     * @var string
     */
    private $rule;

    /**
     * @var string
     */
    private $params;

    /**
     * @var boolean
     */
    private $ishtml = '99';

    /**
     * @var boolean
     */
    private $system = '0';

    /**
     * @var integer
     */
    private $id;


    /**
     * Set modname
     *
     * @param string $modname
     *
     * @return JieqiSystemUrl
     */
    public function setModname($modname)
    {
        $this->modname = $modname;

        return $this;
    }

    /**
     * Get modname
     *
     * @return string
     */
    public function getModname()
    {
        return $this->modname;
    }

    /**
     * Set caption
     *
     * @param string $caption
     *
     * @return JieqiSystemUrl
     */
    public function setCaption($caption)
    {
        $this->caption = $caption;

        return $this;
    }

    /**
     * Get caption
     *
     * @return string
     */
    public function getCaption()
    {
        return $this->caption;
    }

    /**
     * Set controller
     *
     * @param string $controller
     *
     * @return JieqiSystemUrl
     */
    public function setController($controller)
    {
        $this->controller = $controller;

        return $this;
    }

    /**
     * Get controller
     *
     * @return string
     */
    public function getController()
    {
        return $this->controller;
    }

    /**
     * Set method
     *
     * @param string $method
     *
     * @return JieqiSystemUrl
     */
    public function setMethod($method)
    {
        $this->method = $method;

        return $this;
    }

    /**
     * Get method
     *
     * @return string
     */
    public function getMethod()
    {
        return $this->method;
    }

    /**
     * Set description
     *
     * @param string $description
     *
     * @return JieqiSystemUrl
     */
    public function setDescription($description)
    {
        $this->description = $description;

        return $this;
    }

    /**
     * Get description
     *
     * @return string
     */
    public function getDescription()
    {
        return $this->description;
    }

    /**
     * Set rule
     *
     * @param string $rule
     *
     * @return JieqiSystemUrl
     */
    public function setRule($rule)
    {
        $this->rule = $rule;

        return $this;
    }

    /**
     * Get rule
     *
     * @return string
     */
    public function getRule()
    {
        return $this->rule;
    }

    /**
     * Set params
     *
     * @param string $params
     *
     * @return JieqiSystemUrl
     */
    public function setParams($params)
    {
        $this->params = $params;

        return $this;
    }

    /**
     * Get params
     *
     * @return string
     */
    public function getParams()
    {
        return $this->params;
    }

    /**
     * Set ishtml
     *
     * @param boolean $ishtml
     *
     * @return JieqiSystemUrl
     */
    public function setIshtml($ishtml)
    {
        $this->ishtml = $ishtml;

        return $this;
    }

    /**
     * Get ishtml
     *
     * @return boolean
     */
    public function getIshtml()
    {
        return $this->ishtml;
    }

    /**
     * Set system
     *
     * @param boolean $system
     *
     * @return JieqiSystemUrl
     */
    public function setSystem($system)
    {
        $this->system = $system;

        return $this;
    }

    /**
     * Get system
     *
     * @return boolean
     */
    public function getSystem()
    {
        return $this->system;
    }

    /**
     * Get id
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }
}

