<?php
/**
 * Created by PhpStorm.
 * User: yueloo
 * Date: 2016/9/12
 * Time: 10:44
 */

namespace BookBundle\Service;


class LogService {

    protected $log;
    protected $config;
    protected $file;
    protected $line;

    public function __construct( $config)
    {
        $this->config = $config;
    }
//exception_path记录日志发生位置
    public function exception_path($file, $line)
    {
        $this->file = $file;
        $this->line = $line;
        return $this;
    }
//修改日志内容
    public function writeLog( $log)
    {
        if( FALSE == file_exists( $this->config['log_path']))
        {
            file_put_contents( $this->config['log_path'] , '');
        }

        $this->log = "[".date('Y-m-d h:i:s')."] - ".$this->file.":line ".$this->line." Exception : " .$log. "\r\n";
        return $this;
    }
//把日志写入文件
    public function flush()
    {
        file_put_contents( $this->config['log_path'] , $this->log  , FILE_APPEND );//使用 FILE_APPEND 可避免删除文件中已有的内容。
        return $this;
    }
//读取日志文件
    public function readLog()
    {
        $log = file_get_contents( $this->config['log_path']);

        if( ! $log)
            return FALSE;

        $log = explode("\r\n" , $log);
        $log = implode('<br/>' , $log);

        return $log;
    }
}