<?php

namespace PayBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Post
 *
 * @ORM\Table(name="post")
 * @ORM\Entity(repositoryClass="PayBundle\Repository\PostRepository")
 */
class Post
{
    /**
     * @var int
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $id;

    /**
     * @var string
     *
     * @ORM\Column(name="JieqiArticleArticle", type="string", length=255)
     */
    private $jieqiArticleArticle;


    /**
     * Get id
     *
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set jieqiArticleArticle
     *
     * @param string $jieqiArticleArticle
     *
     * @return Post
     */
    public function setJieqiArticleArticle($jieqiArticleArticle)
    {
        $this->jieqiArticleArticle = $jieqiArticleArticle;

        return $this;
    }

    /**
     * Get jieqiArticleArticle
     *
     * @return string
     */
    public function getJieqiArticleArticle()
    {
        return $this->jieqiArticleArticle;
    }
}

