<?php
/**
 * Created by PhpStorm.
 * User: yueloo
 * Date: 2016/9/6
 * Time: 12:14
 */

namespace BookBundle\Controller;


use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\HttpFoundation\Request;
//use Acme\BookBundle\Entity\JieqiArticleArticle;

class BookController extends Controller
{
    /**
     * @Route("/Book/{BookId}",name="GetBook" , requirements={"BookId": "\d+"})
     *@Method({"GET","HEAD"})
     * 书籍的销售情况统计
     */


    public function indexAction($BookId)
    {
//        $request = Request::createFromGlobals();//定义一个请求对象
//
////        echo $request->query->get('yy');
//        echo $request->request->get('yy');
//        echo $request->cookies->get('yy');
//        echo $request->files->get('yy');
//        echo $request->server->get('yy');
//        echo $request->server->get('headers');
//
//        die;

//        $db = $this->createQueryBuilder('cat')->addOrderBy('cat.name','DESC');

        $conn = $this->get('database_connection');
        $ArticleInfo = $conn->fetchAll('SELECT * FROM jieqi_article_article  where articleid='.$BookId);
        $response = new Response();
        $response->setContent(json_encode($ArticleInfo));
        $response->headers->set('Content-Type', 'application/json');
        return $response;


    }

    /**
     * @Route("/GetBookLastChapterInfo/{ArticleId}" , name="GetBookLastChapterInfo" ,
     * requirements={"ArticleId": "\d+"}
     * )
     * @Method({"GET","HEAD"})
     * @return Response
     * 获得书籍最新章节信息
     */
    public function getChapter($ArticleId)
    {
        $conn = $this->get('database_connection');
        $sql=<<<EOF
       SELECT
          *
       FROM 
          jieqi_article_chapter
       where 
          articleid=$ArticleId
       AND 
          display=0
       ORDER BY
          chapterorder
       desc      
EOF;

        $ArticleLastChapterInfo = $conn->fetchAll($sql);
        $response = new Response();
        $response->setContent(json_encode($ArticleLastChapterInfo));
        $response->headers->set('Content-Type', 'application/json');
        //return $this->render('ArticleBundle:Default:index.html.twig');
        return $response;
    }

    /**
     * @Route("/GetBookStatis/{ArticleId}" , name="GetBookStatis" ,
     * requirements={"ArticleId": "\d+"}
     * )
     * @Method({"GET","HEAD"})
     * @return Response
     * 获得书籍信息统计表
     */
    public function getStatis($ArticleId)
    {
        $conn = $this->get('database_connection');
        $stat = $conn->fetchAll('select * from jieqi_article_stat where articleid='.$ArticleId);
        $response = new Response();
        $response->setContent(json_encode($stat));
        $response->headers->set('Content-Type', 'application/json');
        return $response;
    }
    /**
     * @Route("/GetBookSale/{ArticleId}" , name="GetBookSale" ,
     * requirements={"ArticleId": "\d+"}
     * )
     * @Method({"GET","HEAD"})
     * @return Response
     * 获得书籍交易记录
     */
    public function getSale($ArticleId)
    {
        $conn = $this->get('database_connection');
        $stat = $conn->fetchAll('select * from jieqi_article_sale where articleid='.$ArticleId);
        $response = new Response();
        $response->setContent(json_encode($stat));
        $response->headers->set('Content-Type', 'application/json');
        return $response;
    }

    /**
     * @Route("/GetArticleStata/{ArticleId}" , name="GetArticleStata" ,
     * requirements={"ArticleId": "\d+"}
     * )
     * @Method({"GET","HEAD"})
     * @return Response
     * 获得文章统计信息
     */
    public function getStata($ArticleId)
    {
        $conn = $this->get('database_connection');
        $sql = 'select * from jieqi_article_statamout  where articleid='.$ArticleId;
        $stat = $conn->fetchAll($sql);
        $response = new Response();
        $response->setContent(json_encode($stat));
        $response->headers->set('Content-Type', 'application/json');
        return $response;
    }

    /**
     * @Route("/GetOrmArticle/{ArticleId}" , name="GetOrmArticle" ,
     * requirements={"ArticleId": "\d+"}
     * )
     * @Method({"GET","HEAD"})
     * @return Response
     * 获得书籍信息
     */
    public function getORMArticle($ArticleId)
    {
        $em = $this->getDoctrine()->getEntityManager();//获取实体类
        $repository = $em->getRepository('BookBundle:JieqiArticleArticle');//实例化一个实体类对象
        $articles = $repository->find($ArticleId);//获取书籍信息 按条件查询
//      $articles = $repository->findAll();//获取所有书籍信息

        //抛出异常
        if (!$articles) {
            throw $this->createNotFoundException(
                'No product found for id '.$ArticleId
            );
        }

        $articles->setArticlename('武侠F时代');//修改书籍信息
        $em->flush();//提交保存
//       $repository->save($articles);
        $Articlename = $articles->getArticlename();


        echo $Articlename;
        echo '<pre>';
        print_r($articles);
        die;
    }
    /**
     * @Route("/GetOrmArticleInfo/{ArticleId}" , name="GetOrmArticleInfo" ,
     * requirements={"ArticleId": "\d+"}
     * )
     * @Method({"GET","HEAD"})
     * @return Response
     * 获得书籍的章节信息
     */
    public function getORMArticleInfo($ArticleId)
    {
        $em = $this->getDoctrine()->getEntityManager();//获取实体类
        $repository = $em->getRepository('BookBundle:JieqiArticleChapter');//实例化一个实体类对象


        $articles = $repository->findBy(
            array('articleid'=>$ArticleId ),
            array('chapterorder'=>'desc')
        );//获取书籍信息 按条件查询



        //按照文章名字和章节来获取一个匹配的对象
        $product = $repository->findOneBy(array('articleid'=>$ArticleId,'chapterid'=>'908891'));

        //抛出异常
        if (!$articles) {
            throw $this->createNotFoundException(
                'No product found for id '.$ArticleId
            );
        }
        echo '<pre>';
        print_r($product);
        die;

        echo '<pre>';
        print_r($articles);
        die;
    }

    /**
     *@Route("/GetIndex",name="GetIndex")
     *@Method({"GET","HEAD"})
     */
    public function TestServer()
    {
        $this->get('milk_coffee.log')
            ->exception_path(__FILE__,__LINE__)
            ->writeLog('First log')
            ->flush();

        return new Response(  $this->get('milk_coffee.log')->readLog() , 200);
//        return $this->render('ArticleBundle:Default:index.html.twig');

    }

    /**
     * 生成验证码.
     *
     * @Route("/captcha", name="site_common_captcha")
     */
    public function captchaAction()
    {
        $req = Request::createFromGlobals();

        $width = 150;  // 验证码图片的宽度
        $height = 50;  // 验证码图片的高度
        $length = 5;  // 验证码字符的长度
        $no_effect = true;  // 是否忽略验证图片上的干扰线条

        $pharse = new PhraseBuilder();
        $captcha = new CaptchaBuilder($pharse->build($length));
        $image = $captcha->setIgnoreAllEffects($no_effect)->build($width, $height)->get();

        $session = $req->getSession();
        $session->set('captcha', $captcha->getPhrase());

        $res = new Response($image);
        $res->headers->set('content-type', 'image/jpeg');

        return $res;
    }
}