<?php

namespace BookBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * JieqiArticleArticle
 *
 * @ORM\Table(name="jieqi_article_article", indexes={@ORM\Index(name="siteid", columns={"siteid"}), @ORM\Index(name="articlename", columns={"articlename"}), @ORM\Index(name="posterid", columns={"posterid"}), @ORM\Index(name="authorid", columns={"authorid"}), @ORM\Index(name="agentid", columns={"agentid"}), @ORM\Index(name="initial", columns={"initial"}), @ORM\Index(name="sortid", columns={"sortid", "typeid"}), @ORM\Index(name="display", columns={"display"}), @ORM\Index(name="size", columns={"size"}), @ORM\Index(name="lastupdate", columns={"lastupdate"}), @ORM\Index(name="author", columns={"author"}), @ORM\Index(name="signdate", columns={"signdate"}), @ORM\Index(name="vipdate", columns={"vipdate"})})
 * @ORM\Entity
 */
class JieqiArticleArticle
{
    /**
     * @var integer
     *
     * @ORM\Column(name="siteid", type="smallint", nullable=false)
     */
    private $siteid = '0';

    /**
     * @var integer
     *
     * @ORM\Column(name="postdate", type="integer", nullable=false)
     */
    private $postdate = '0';

    /**
     * @var integer
     *
     * @ORM\Column(name="lastupdate", type="integer", nullable=false)
     */
    private $lastupdate = '0';

    /**
     * @var string
     *
     * @ORM\Column(name="articlename", type="string", length=50, nullable=false)
     */
    private $articlename = '';

    /**
     * @var string
     *
     * @ORM\Column(name="keywords", type="string", length=50, nullable=false)
     */
    private $keywords = '';

    /**
     * @var string
     *
     * @ORM\Column(name="tag", type="string", length=50, nullable=false)
     */
    private $tag;

    /**
     * @var string
     *
     * @ORM\Column(name="initial", type="string", length=1, nullable=false)
     */
    private $initial = '';

    /**
     * @var integer
     *
     * @ORM\Column(name="authorid", type="integer", nullable=false)
     */
    private $authorid = '0';

    /**
     * @var string
     *
     * @ORM\Column(name="author", type="string", length=30, nullable=false)
     */
    private $author = '';

    /**
     * @var integer
     *
     * @ORM\Column(name="posterid", type="integer", nullable=false)
     */
    private $posterid = '0';

    /**
     * @var string
     *
     * @ORM\Column(name="poster", type="string", length=30, nullable=false)
     */
    private $poster = '';

    /**
     * @var integer
     *
     * @ORM\Column(name="agentid", type="integer", nullable=false)
     */
    private $agentid = '0';

    /**
     * @var string
     *
     * @ORM\Column(name="agent", type="string", length=30, nullable=false)
     */
    private $agent = '';

    /**
     * @var integer
     *
     * @ORM\Column(name="sortid", type="smallint", nullable=false)
     */
    private $sortid = '0';

    /**
     * @var integer
     *
     * @ORM\Column(name="typeid", type="smallint", nullable=false)
     */
    private $typeid = '0';

    /**
     * @var string
     *
     * @ORM\Column(name="intro", type="text", length=16777215, nullable=false)
     */
    private $intro;

    /**
     * @var string
     *
     * @ORM\Column(name="notice", type="text", nullable=false)
     */
    private $notice;

    /**
     * @var string
     *
     * @ORM\Column(name="setting", type="text", length=16777215, nullable=false)
     */
    private $setting;

    /**
     * @var integer
     *
     * @ORM\Column(name="lastvolumeid", type="integer", nullable=false)
     */
    private $lastvolumeid = '0';

    /**
     * @var string
     *
     * @ORM\Column(name="lastvolume", type="string", length=100, nullable=false)
     */
    private $lastvolume = '';

    /**
     * @var integer
     *
     * @ORM\Column(name="lastchapterid", type="integer", nullable=false)
     */
    private $lastchapterid = '0';

    /**
     * @var string
     *
     * @ORM\Column(name="lastchapter", type="string", length=100, nullable=false)
     */
    private $lastchapter = '';

    /**
     * @var boolean
     *
     * @ORM\Column(name="lastchaptervip", type="boolean", nullable=false)
     */
    private $lastchaptervip = '0';

    /**
     * @var integer
     *
     * @ORM\Column(name="chapters", type="smallint", nullable=false)
     */
    private $chapters = '0';

    /**
     * @var integer
     *
     * @ORM\Column(name="size", type="integer", nullable=false)
     */
    private $size = '0';

    /**
     * @var boolean
     *
     * @ORM\Column(name="articletype", type="boolean", nullable=false)
     */
    private $articletype = '0';

    /**
     * @var boolean
     *
     * @ORM\Column(name="permission", type="boolean", nullable=false)
     */
    private $permission = '0';

    /**
     * @var boolean
     *
     * @ORM\Column(name="firstflag", type="boolean", nullable=false)
     */
    private $firstflag = '0';

    /**
     * @var boolean
     *
     * @ORM\Column(name="fullflag", type="boolean", nullable=false)
     */
    private $fullflag = '0';

    /**
     * @var boolean
     *
     * @ORM\Column(name="imgflag", type="boolean", nullable=false)
     */
    private $imgflag = '0';

    /**
     * @var boolean
     *
     * @ORM\Column(name="display", type="boolean", nullable=false)
     */
    private $display = '0';

    /**
     * @var integer
     *
     * @ORM\Column(name="signdate", type="integer", nullable=false)
     */
    private $signdate = '0';

    /**
     * @var integer
     *
     * @ORM\Column(name="vipdate", type="integer", nullable=false)
     */
    private $vipdate;

    /**
     * @var integer
     *
     * @ORM\Column(name="articleid", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $articleid;



    /**
     * Set siteid
     *
     * @param integer $siteid
     *
     * @return JieqiArticleArticle
     */
    public function setSiteid($siteid)
    {
        $this->siteid = $siteid;

        return $this;
    }

    /**
     * Get siteid
     *
     * @return integer
     */
    public function getSiteid()
    {
        return $this->siteid;
    }

    /**
     * Set postdate
     *
     * @param integer $postdate
     *
     * @return JieqiArticleArticle
     */
    public function setPostdate($postdate)
    {
        $this->postdate = $postdate;

        return $this;
    }

    /**
     * Get postdate
     *
     * @return integer
     */
    public function getPostdate()
    {
        return $this->postdate;
    }

    /**
     * Set lastupdate
     *
     * @param integer $lastupdate
     *
     * @return JieqiArticleArticle
     */
    public function setLastupdate($lastupdate)
    {
        $this->lastupdate = $lastupdate;

        return $this;
    }

    /**
     * Get lastupdate
     *
     * @return integer
     */
    public function getLastupdate()
    {
        return $this->lastupdate;
    }

    /**
     * Set articlename
     *
     * @param string $articlename
     *
     * @return JieqiArticleArticle
     */
    public function setArticlename($articlename)
    {
        $this->articlename = $articlename;

        return $this;
    }

    /**
     * Get articlename
     *
     * @return string
     */
    public function getArticlename()
    {
        return $this->articlename;
    }

    /**
     * Set keywords
     *
     * @param string $keywords
     *
     * @return JieqiArticleArticle
     */
    public function setKeywords($keywords)
    {
        $this->keywords = $keywords;

        return $this;
    }

    /**
     * Get keywords
     *
     * @return string
     */
    public function getKeywords()
    {
        return $this->keywords;
    }

    /**
     * Set tag
     *
     * @param string $tag
     *
     * @return JieqiArticleArticle
     */
    public function setTag($tag)
    {
        $this->tag = $tag;

        return $this;
    }

    /**
     * Get tag
     *
     * @return string
     */
    public function getTag()
    {
        return $this->tag;
    }

    /**
     * Set initial
     *
     * @param string $initial
     *
     * @return JieqiArticleArticle
     */
    public function setInitial($initial)
    {
        $this->initial = $initial;

        return $this;
    }

    /**
     * Get initial
     *
     * @return string
     */
    public function getInitial()
    {
        return $this->initial;
    }

    /**
     * Set authorid
     *
     * @param integer $authorid
     *
     * @return JieqiArticleArticle
     */
    public function setAuthorid($authorid)
    {
        $this->authorid = $authorid;

        return $this;
    }

    /**
     * Get authorid
     *
     * @return integer
     */
    public function getAuthorid()
    {
        return $this->authorid;
    }

    /**
     * Set author
     *
     * @param string $author
     *
     * @return JieqiArticleArticle
     */
    public function setAuthor($author)
    {
        $this->author = $author;

        return $this;
    }

    /**
     * Get author
     *
     * @return string
     */
    public function getAuthor()
    {
        return $this->author;
    }

    /**
     * Set posterid
     *
     * @param integer $posterid
     *
     * @return JieqiArticleArticle
     */
    public function setPosterid($posterid)
    {
        $this->posterid = $posterid;

        return $this;
    }

    /**
     * Get posterid
     *
     * @return integer
     */
    public function getPosterid()
    {
        return $this->posterid;
    }

    /**
     * Set poster
     *
     * @param string $poster
     *
     * @return JieqiArticleArticle
     */
    public function setPoster($poster)
    {
        $this->poster = $poster;

        return $this;
    }

    /**
     * Get poster
     *
     * @return string
     */
    public function getPoster()
    {
        return $this->poster;
    }

    /**
     * Set agentid
     *
     * @param integer $agentid
     *
     * @return JieqiArticleArticle
     */
    public function setAgentid($agentid)
    {
        $this->agentid = $agentid;

        return $this;
    }

    /**
     * Get agentid
     *
     * @return integer
     */
    public function getAgentid()
    {
        return $this->agentid;
    }

    /**
     * Set agent
     *
     * @param string $agent
     *
     * @return JieqiArticleArticle
     */
    public function setAgent($agent)
    {
        $this->agent = $agent;

        return $this;
    }

    /**
     * Get agent
     *
     * @return string
     */
    public function getAgent()
    {
        return $this->agent;
    }

    /**
     * Set sortid
     *
     * @param integer $sortid
     *
     * @return JieqiArticleArticle
     */
    public function setSortid($sortid)
    {
        $this->sortid = $sortid;

        return $this;
    }

    /**
     * Get sortid
     *
     * @return integer
     */
    public function getSortid()
    {
        return $this->sortid;
    }

    /**
     * Set typeid
     *
     * @param integer $typeid
     *
     * @return JieqiArticleArticle
     */
    public function setTypeid($typeid)
    {
        $this->typeid = $typeid;

        return $this;
    }

    /**
     * Get typeid
     *
     * @return integer
     */
    public function getTypeid()
    {
        return $this->typeid;
    }

    /**
     * Set intro
     *
     * @param string $intro
     *
     * @return JieqiArticleArticle
     */
    public function setIntro($intro)
    {
        $this->intro = $intro;

        return $this;
    }

    /**
     * Get intro
     *
     * @return string
     */
    public function getIntro()
    {
        return $this->intro;
    }

    /**
     * Set notice
     *
     * @param string $notice
     *
     * @return JieqiArticleArticle
     */
    public function setNotice($notice)
    {
        $this->notice = $notice;

        return $this;
    }

    /**
     * Get notice
     *
     * @return string
     */
    public function getNotice()
    {
        return $this->notice;
    }

    /**
     * Set setting
     *
     * @param string $setting
     *
     * @return JieqiArticleArticle
     */
    public function setSetting($setting)
    {
        $this->setting = $setting;

        return $this;
    }

    /**
     * Get setting
     *
     * @return string
     */
    public function getSetting()
    {
        return $this->setting;
    }

    /**
     * Set lastvolumeid
     *
     * @param integer $lastvolumeid
     *
     * @return JieqiArticleArticle
     */
    public function setLastvolumeid($lastvolumeid)
    {
        $this->lastvolumeid = $lastvolumeid;

        return $this;
    }

    /**
     * Get lastvolumeid
     *
     * @return integer
     */
    public function getLastvolumeid()
    {
        return $this->lastvolumeid;
    }

    /**
     * Set lastvolume
     *
     * @param string $lastvolume
     *
     * @return JieqiArticleArticle
     */
    public function setLastvolume($lastvolume)
    {
        $this->lastvolume = $lastvolume;

        return $this;
    }

    /**
     * Get lastvolume
     *
     * @return string
     */
    public function getLastvolume()
    {
        return $this->lastvolume;
    }

    /**
     * Set lastchapterid
     *
     * @param integer $lastchapterid
     *
     * @return JieqiArticleArticle
     */
    public function setLastchapterid($lastchapterid)
    {
        $this->lastchapterid = $lastchapterid;

        return $this;
    }

    /**
     * Get lastchapterid
     *
     * @return integer
     */
    public function getLastchapterid()
    {
        return $this->lastchapterid;
    }

    /**
     * Set lastchapter
     *
     * @param string $lastchapter
     *
     * @return JieqiArticleArticle
     */
    public function setLastchapter($lastchapter)
    {
        $this->lastchapter = $lastchapter;

        return $this;
    }

    /**
     * Get lastchapter
     *
     * @return string
     */
    public function getLastchapter()
    {
        return $this->lastchapter;
    }

    /**
     * Set lastchaptervip
     *
     * @param boolean $lastchaptervip
     *
     * @return JieqiArticleArticle
     */
    public function setLastchaptervip($lastchaptervip)
    {
        $this->lastchaptervip = $lastchaptervip;

        return $this;
    }

    /**
     * Get lastchaptervip
     *
     * @return boolean
     */
    public function getLastchaptervip()
    {
        return $this->lastchaptervip;
    }

    /**
     * Set chapters
     *
     * @param integer $chapters
     *
     * @return JieqiArticleArticle
     */
    public function setChapters($chapters)
    {
        $this->chapters = $chapters;

        return $this;
    }

    /**
     * Get chapters
     *
     * @return integer
     */
    public function getChapters()
    {
        return $this->chapters;
    }

    /**
     * Set size
     *
     * @param integer $size
     *
     * @return JieqiArticleArticle
     */
    public function setSize($size)
    {
        $this->size = $size;

        return $this;
    }

    /**
     * Get size
     *
     * @return integer
     */
    public function getSize()
    {
        return $this->size;
    }

    /**
     * Set articletype
     *
     * @param boolean $articletype
     *
     * @return JieqiArticleArticle
     */
    public function setArticletype($articletype)
    {
        $this->articletype = $articletype;

        return $this;
    }

    /**
     * Get articletype
     *
     * @return boolean
     */
    public function getArticletype()
    {
        return $this->articletype;
    }

    /**
     * Set permission
     *
     * @param boolean $permission
     *
     * @return JieqiArticleArticle
     */
    public function setPermission($permission)
    {
        $this->permission = $permission;

        return $this;
    }

    /**
     * Get permission
     *
     * @return boolean
     */
    public function getPermission()
    {
        return $this->permission;
    }

    /**
     * Set firstflag
     *
     * @param boolean $firstflag
     *
     * @return JieqiArticleArticle
     */
    public function setFirstflag($firstflag)
    {
        $this->firstflag = $firstflag;

        return $this;
    }

    /**
     * Get firstflag
     *
     * @return boolean
     */
    public function getFirstflag()
    {
        return $this->firstflag;
    }

    /**
     * Set fullflag
     *
     * @param boolean $fullflag
     *
     * @return JieqiArticleArticle
     */
    public function setFullflag($fullflag)
    {
        $this->fullflag = $fullflag;

        return $this;
    }

    /**
     * Get fullflag
     *
     * @return boolean
     */
    public function getFullflag()
    {
        return $this->fullflag;
    }

    /**
     * Set imgflag
     *
     * @param boolean $imgflag
     *
     * @return JieqiArticleArticle
     */
    public function setImgflag($imgflag)
    {
        $this->imgflag = $imgflag;

        return $this;
    }

    /**
     * Get imgflag
     *
     * @return boolean
     */
    public function getImgflag()
    {
        return $this->imgflag;
    }

    /**
     * Set display
     *
     * @param boolean $display
     *
     * @return JieqiArticleArticle
     */
    public function setDisplay($display)
    {
        $this->display = $display;

        return $this;
    }

    /**
     * Get display
     *
     * @return boolean
     */
    public function getDisplay()
    {
        return $this->display;
    }

    /**
     * Set signdate
     *
     * @param integer $signdate
     *
     * @return JieqiArticleArticle
     */
    public function setSigndate($signdate)
    {
        $this->signdate = $signdate;

        return $this;
    }

    /**
     * Get signdate
     *
     * @return integer
     */
    public function getSigndate()
    {
        return $this->signdate;
    }

    /**
     * Set vipdate
     *
     * @param integer $vipdate
     *
     * @return JieqiArticleArticle
     */
    public function setVipdate($vipdate)
    {
        $this->vipdate = $vipdate;

        return $this;
    }

    /**
     * Get vipdate
     *
     * @return integer
     */
    public function getVipdate()
    {
        return $this->vipdate;
    }

    /**
     * Get articleid
     *
     * @return integer
     */
    public function getArticleid()
    {
        return $this->articleid;
    }
}
