<?php

namespace BookBundle\Entity;

/**
 * JieqiBookChapter
 */
class JieqiBookChapter
{
    /**
     * @var integer
     */
    private $bookId;

    /**
     * @var string
     */
    private $chapterName;

    /**
     * @var integer
     */
    private $chapterOrder;

    /**
     * @var integer
     */
    private $cpid;

    /**
     * @var integer
     */
    private $cpBookId;

    /**
     * @var integer
     */
    private $cpChapterId;

    /**
     * @var string
     */
    private $editedContent;

    /**
     * @var integer
     */
    private $editedWords;

    /**
     * @var string
     */
    private $originalContent;

    /**
     * @var integer
     */
    private $originalWords;

    /**
     * @var integer
     */
    private $chapterStatus;

    /**
     * @var integer
     */
    private $chapterPriceJson;

    /**
     * @var integer
     */
    private $updateUtc;

    /**
     * @var integer
     */
    private $chapterId;


    /**
     * Set bookId
     *
     * @param integer $bookId
     *
     * @return JieqiBookChapter
     */
    public function setBookId($bookId)
    {
        $this->bookId = $bookId;

        return $this;
    }

    /**
     * Get bookId
     *
     * @return integer
     */
    public function getBookId()
    {
        return $this->bookId;
    }

    /**
     * Set chapterName
     *
     * @param string $chapterName
     *
     * @return JieqiBookChapter
     */
    public function setChapterName($chapterName)
    {
        $this->chapterName = $chapterName;

        return $this;
    }

    /**
     * Get chapterName
     *
     * @return string
     */
    public function getChapterName()
    {
        return $this->chapterName;
    }

    /**
     * Set chapterOrder
     *
     * @param integer $chapterOrder
     *
     * @return JieqiBookChapter
     */
    public function setChapterOrder($chapterOrder)
    {
        $this->chapterOrder = $chapterOrder;

        return $this;
    }

    /**
     * Get chapterOrder
     *
     * @return integer
     */
    public function getChapterOrder()
    {
        return $this->chapterOrder;
    }

    /**
     * Set cpid
     *
     * @param integer $cpid
     *
     * @return JieqiBookChapter
     */
    public function setCpid($cpid)
    {
        $this->cpid = $cpid;

        return $this;
    }

    /**
     * Get cpid
     *
     * @return integer
     */
    public function getCpid()
    {
        return $this->cpid;
    }

    /**
     * Set cpBookId
     *
     * @param integer $cpBookId
     *
     * @return JieqiBookChapter
     */
    public function setCpBookId($cpBookId)
    {
        $this->cpBookId = $cpBookId;

        return $this;
    }

    /**
     * Get cpBookId
     *
     * @return integer
     */
    public function getCpBookId()
    {
        return $this->cpBookId;
    }

    /**
     * Set cpChapterId
     *
     * @param integer $cpChapterId
     *
     * @return JieqiBookChapter
     */
    public function setCpChapterId($cpChapterId)
    {
        $this->cpChapterId = $cpChapterId;

        return $this;
    }

    /**
     * Get cpChapterId
     *
     * @return integer
     */
    public function getCpChapterId()
    {
        return $this->cpChapterId;
    }

    /**
     * Set editedContent
     *
     * @param string $editedContent
     *
     * @return JieqiBookChapter
     */
    public function setEditedContent($editedContent)
    {
        $this->editedContent = $editedContent;

        return $this;
    }

    /**
     * Get editedContent
     *
     * @return string
     */
    public function getEditedContent()
    {
        return $this->editedContent;
    }

    /**
     * Set editedWords
     *
     * @param integer $editedWords
     *
     * @return JieqiBookChapter
     */
    public function setEditedWords($editedWords)
    {
        $this->editedWords = $editedWords;

        return $this;
    }

    /**
     * Get editedWords
     *
     * @return integer
     */
    public function getEditedWords()
    {
        return $this->editedWords;
    }

    /**
     * Set originalContent
     *
     * @param string $originalContent
     *
     * @return JieqiBookChapter
     */
    public function setOriginalContent($originalContent)
    {
        $this->originalContent = $originalContent;

        return $this;
    }

    /**
     * Get originalContent
     *
     * @return string
     */
    public function getOriginalContent()
    {
        return $this->originalContent;
    }

    /**
     * Set originalWords
     *
     * @param integer $originalWords
     *
     * @return JieqiBookChapter
     */
    public function setOriginalWords($originalWords)
    {
        $this->originalWords = $originalWords;

        return $this;
    }

    /**
     * Get originalWords
     *
     * @return integer
     */
    public function getOriginalWords()
    {
        return $this->originalWords;
    }

    /**
     * Set chapterStatus
     *
     * @param integer $chapterStatus
     *
     * @return JieqiBookChapter
     */
    public function setChapterStatus($chapterStatus)
    {
        $this->chapterStatus = $chapterStatus;

        return $this;
    }

    /**
     * Get chapterStatus
     *
     * @return integer
     */
    public function getChapterStatus()
    {
        return $this->chapterStatus;
    }

    /**
     * Set chapterPriceJson
     *
     * @param integer $chapterPriceJson
     *
     * @return JieqiBookChapter
     */
    public function setChapterPriceJson($chapterPriceJson)
    {
        $this->chapterPriceJson = $chapterPriceJson;

        return $this;
    }

    /**
     * Get chapterPriceJson
     *
     * @return integer
     */
    public function getChapterPriceJson()
    {
        return $this->chapterPriceJson;
    }

    /**
     * Set updateUtc
     *
     * @param integer $updateUtc
     *
     * @return JieqiBookChapter
     */
    public function setUpdateUtc($updateUtc)
    {
        $this->updateUtc = $updateUtc;

        return $this;
    }

    /**
     * Get updateUtc
     *
     * @return integer
     */
    public function getUpdateUtc()
    {
        return $this->updateUtc;
    }

    /**
     * Get chapterId
     *
     * @return integer
     */
    public function getChapterId()
    {
        return $this->chapterId;
    }
}

