<?php

namespace BookBundle\Entity;

/**
 * JieqiBookType
 */
class JieqiBookType
{
    /**
     * @var string
     */
    private $caption;

    /**
     * @var string
     */
    private $shortName;

    /**
     * @var string
     */
    private $description;

    /**
     * @var integer
     */
    private $parentCategoryId;

    /**
     * @var integer
     */
    private $typeId;


    /**
     * Set caption
     *
     * @param string $caption
     *
     * @return JieqiBookType
     */
    public function setCaption($caption)
    {
        $this->caption = $caption;

        return $this;
    }

    /**
     * Get caption
     *
     * @return string
     */
    public function getCaption()
    {
        return $this->caption;
    }

    /**
     * Set shortName
     *
     * @param string $shortName
     *
     * @return JieqiBookType
     */
    public function setShortName($shortName)
    {
        $this->shortName = $shortName;

        return $this;
    }

    /**
     * Get shortName
     *
     * @return string
     */
    public function getShortName()
    {
        return $this->shortName;
    }

    /**
     * Set description
     *
     * @param string $description
     *
     * @return JieqiBookType
     */
    public function setDescription($description)
    {
        $this->description = $description;

        return $this;
    }

    /**
     * Get description
     *
     * @return string
     */
    public function getDescription()
    {
        return $this->description;
    }

    /**
     * Set parentCategoryId
     *
     * @param integer $parentCategoryId
     *
     * @return JieqiBookType
     */
    public function setParentCategoryId($parentCategoryId)
    {
        $this->parentCategoryId = $parentCategoryId;

        return $this;
    }

    /**
     * Get parentCategoryId
     *
     * @return integer
     */
    public function getParentCategoryId()
    {
        return $this->parentCategoryId;
    }

    /**
     * Get typeId
     *
     * @return integer
     */
    public function getTypeId()
    {
        return $this->typeId;
    }
}

