<?php

namespace BookBundle\Entity;

/**
 * JieqiNewsCDown
 */
class JieqiNewsCDown
{
    /**
     * @var string
     */
    private $template;

    /**
     * @var string
     */
    private $content;

    /**
     * @var string
     */
    private $version = '';

    /**
     * @var string
     */
    private $classtype = '国产软件';

    /**
     * @var string
     */
    private $language = '简体中文';

    /**
     * @var string
     */
    private $copytype = '免费版';

    /**
     * @var string
     */
    private $systems = 'Win2000/WinXP/Win2003';

    /**
     * @var string
     */
    private $stars = '★★★☆☆';

    /**
     * @var string
     */
    private $filesize = '未知';

    /**
     * @var string
     */
    private $downurl = 'http://dnc.xxx.com/';

    /**
     * @var string
     */
    private $downurls;

    /**
     * @var string
     */
    private $groupidsView;

    /**
     * @var integer
     */
    private $readpoint = '0';

    /**
     * @var string
     */
    private $pics;

    /**
     * @var string
     */
    private $downloadc;

    /**
     * @var integer
     */
    private $contentid;


    /**
     * Set template
     *
     * @param string $template
     *
     * @return JieqiNewsCDown
     */
    public function setTemplate($template)
    {
        $this->template = $template;

        return $this;
    }

    /**
     * Get template
     *
     * @return string
     */
    public function getTemplate()
    {
        return $this->template;
    }

    /**
     * Set content
     *
     * @param string $content
     *
     * @return JieqiNewsCDown
     */
    public function setContent($content)
    {
        $this->content = $content;

        return $this;
    }

    /**
     * Get content
     *
     * @return string
     */
    public function getContent()
    {
        return $this->content;
    }

    /**
     * Set version
     *
     * @param string $version
     *
     * @return JieqiNewsCDown
     */
    public function setVersion($version)
    {
        $this->version = $version;

        return $this;
    }

    /**
     * Get version
     *
     * @return string
     */
    public function getVersion()
    {
        return $this->version;
    }

    /**
     * Set classtype
     *
     * @param string $classtype
     *
     * @return JieqiNewsCDown
     */
    public function setClasstype($classtype)
    {
        $this->classtype = $classtype;

        return $this;
    }

    /**
     * Get classtype
     *
     * @return string
     */
    public function getClasstype()
    {
        return $this->classtype;
    }

    /**
     * Set language
     *
     * @param string $language
     *
     * @return JieqiNewsCDown
     */
    public function setLanguage($language)
    {
        $this->language = $language;

        return $this;
    }

    /**
     * Get language
     *
     * @return string
     */
    public function getLanguage()
    {
        return $this->language;
    }

    /**
     * Set copytype
     *
     * @param string $copytype
     *
     * @return JieqiNewsCDown
     */
    public function setCopytype($copytype)
    {
        $this->copytype = $copytype;

        return $this;
    }

    /**
     * Get copytype
     *
     * @return string
     */
    public function getCopytype()
    {
        return $this->copytype;
    }

    /**
     * Set systems
     *
     * @param string $systems
     *
     * @return JieqiNewsCDown
     */
    public function setSystems($systems)
    {
        $this->systems = $systems;

        return $this;
    }

    /**
     * Get systems
     *
     * @return string
     */
    public function getSystems()
    {
        return $this->systems;
    }

    /**
     * Set stars
     *
     * @param string $stars
     *
     * @return JieqiNewsCDown
     */
    public function setStars($stars)
    {
        $this->stars = $stars;

        return $this;
    }

    /**
     * Get stars
     *
     * @return string
     */
    public function getStars()
    {
        return $this->stars;
    }

    /**
     * Set filesize
     *
     * @param string $filesize
     *
     * @return JieqiNewsCDown
     */
    public function setFilesize($filesize)
    {
        $this->filesize = $filesize;

        return $this;
    }

    /**
     * Get filesize
     *
     * @return string
     */
    public function getFilesize()
    {
        return $this->filesize;
    }

    /**
     * Set downurl
     *
     * @param string $downurl
     *
     * @return JieqiNewsCDown
     */
    public function setDownurl($downurl)
    {
        $this->downurl = $downurl;

        return $this;
    }

    /**
     * Get downurl
     *
     * @return string
     */
    public function getDownurl()
    {
        return $this->downurl;
    }

    /**
     * Set downurls
     *
     * @param string $downurls
     *
     * @return JieqiNewsCDown
     */
    public function setDownurls($downurls)
    {
        $this->downurls = $downurls;

        return $this;
    }

    /**
     * Get downurls
     *
     * @return string
     */
    public function getDownurls()
    {
        return $this->downurls;
    }

    /**
     * Set groupidsView
     *
     * @param string $groupidsView
     *
     * @return JieqiNewsCDown
     */
    public function setGroupidsView($groupidsView)
    {
        $this->groupidsView = $groupidsView;

        return $this;
    }

    /**
     * Get groupidsView
     *
     * @return string
     */
    public function getGroupidsView()
    {
        return $this->groupidsView;
    }

    /**
     * Set readpoint
     *
     * @param integer $readpoint
     *
     * @return JieqiNewsCDown
     */
    public function setReadpoint($readpoint)
    {
        $this->readpoint = $readpoint;

        return $this;
    }

    /**
     * Get readpoint
     *
     * @return integer
     */
    public function getReadpoint()
    {
        return $this->readpoint;
    }

    /**
     * Set pics
     *
     * @param string $pics
     *
     * @return JieqiNewsCDown
     */
    public function setPics($pics)
    {
        $this->pics = $pics;

        return $this;
    }

    /**
     * Get pics
     *
     * @return string
     */
    public function getPics()
    {
        return $this->pics;
    }

    /**
     * Set downloadc
     *
     * @param string $downloadc
     *
     * @return JieqiNewsCDown
     */
    public function setDownloadc($downloadc)
    {
        $this->downloadc = $downloadc;

        return $this;
    }

    /**
     * Get downloadc
     *
     * @return string
     */
    public function getDownloadc()
    {
        return $this->downloadc;
    }

    /**
     * Get contentid
     *
     * @return integer
     */
    public function getContentid()
    {
        return $this->contentid;
    }
}

