<?php

namespace BookBundle\Entity;

/**
 * JieqiNewsModelField
 */
class JieqiNewsModelField
{
    /**
     * @var boolean
     */
    private $modelid = '0';

    /**
     * @var string
     */
    private $field;

    /**
     * @var string
     */
    private $name;

    /**
     * @var string
     */
    private $tips;

    /**
     * @var string
     */
    private $css;

    /**
     * @var integer
     */
    private $minlength = '0';

    /**
     * @var integer
     */
    private $maxlength = '0';

    /**
     * @var string
     */
    private $pattern;

    /**
     * @var string
     */
    private $errortips;

    /**
     * @var string
     */
    private $formtype;

    /**
     * @var string
     */
    private $setting;

    /**
     * @var string
     */
    private $formattribute;

    /**
     * @var string
     */
    private $forminfo;

    /**
     * @var string
     */
    private $unsetgroupids;

    /**
     * @var boolean
     */
    private $iscore = '0';

    /**
     * @var boolean
     */
    private $issystem = '0';

    /**
     * @var boolean
     */
    private $isunique = '0';

    /**
     * @var boolean
     */
    private $isbase = '1';

    /**
     * @var boolean
     */
    private $issearch = '0';

    /**
     * @var boolean
     */
    private $isselect = '0';

    /**
     * @var boolean
     */
    private $isorder = '0';

    /**
     * @var boolean
     */
    private $islist = '0';

    /**
     * @var boolean
     */
    private $isshow = '0';

    /**
     * @var boolean
     */
    private $isadd = '1';

    /**
     * @var boolean
     */
    private $isfulltext = '1';

    /**
     * @var integer
     */
    private $listorder = '0';

    /**
     * @var boolean
     */
    private $disabled = '0';

    /**
     * @var integer
     */
    private $fieldid;


    /**
     * Set modelid
     *
     * @param boolean $modelid
     *
     * @return JieqiNewsModelField
     */
    public function setModelid($modelid)
    {
        $this->modelid = $modelid;

        return $this;
    }

    /**
     * Get modelid
     *
     * @return boolean
     */
    public function getModelid()
    {
        return $this->modelid;
    }

    /**
     * Set field
     *
     * @param string $field
     *
     * @return JieqiNewsModelField
     */
    public function setField($field)
    {
        $this->field = $field;

        return $this;
    }

    /**
     * Get field
     *
     * @return string
     */
    public function getField()
    {
        return $this->field;
    }

    /**
     * Set name
     *
     * @param string $name
     *
     * @return JieqiNewsModelField
     */
    public function setName($name)
    {
        $this->name = $name;

        return $this;
    }

    /**
     * Get name
     *
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * Set tips
     *
     * @param string $tips
     *
     * @return JieqiNewsModelField
     */
    public function setTips($tips)
    {
        $this->tips = $tips;

        return $this;
    }

    /**
     * Get tips
     *
     * @return string
     */
    public function getTips()
    {
        return $this->tips;
    }

    /**
     * Set css
     *
     * @param string $css
     *
     * @return JieqiNewsModelField
     */
    public function setCss($css)
    {
        $this->css = $css;

        return $this;
    }

    /**
     * Get css
     *
     * @return string
     */
    public function getCss()
    {
        return $this->css;
    }

    /**
     * Set minlength
     *
     * @param integer $minlength
     *
     * @return JieqiNewsModelField
     */
    public function setMinlength($minlength)
    {
        $this->minlength = $minlength;

        return $this;
    }

    /**
     * Get minlength
     *
     * @return integer
     */
    public function getMinlength()
    {
        return $this->minlength;
    }

    /**
     * Set maxlength
     *
     * @param integer $maxlength
     *
     * @return JieqiNewsModelField
     */
    public function setMaxlength($maxlength)
    {
        $this->maxlength = $maxlength;

        return $this;
    }

    /**
     * Get maxlength
     *
     * @return integer
     */
    public function getMaxlength()
    {
        return $this->maxlength;
    }

    /**
     * Set pattern
     *
     * @param string $pattern
     *
     * @return JieqiNewsModelField
     */
    public function setPattern($pattern)
    {
        $this->pattern = $pattern;

        return $this;
    }

    /**
     * Get pattern
     *
     * @return string
     */
    public function getPattern()
    {
        return $this->pattern;
    }

    /**
     * Set errortips
     *
     * @param string $errortips
     *
     * @return JieqiNewsModelField
     */
    public function setErrortips($errortips)
    {
        $this->errortips = $errortips;

        return $this;
    }

    /**
     * Get errortips
     *
     * @return string
     */
    public function getErrortips()
    {
        return $this->errortips;
    }

    /**
     * Set formtype
     *
     * @param string $formtype
     *
     * @return JieqiNewsModelField
     */
    public function setFormtype($formtype)
    {
        $this->formtype = $formtype;

        return $this;
    }

    /**
     * Get formtype
     *
     * @return string
     */
    public function getFormtype()
    {
        return $this->formtype;
    }

    /**
     * Set setting
     *
     * @param string $setting
     *
     * @return JieqiNewsModelField
     */
    public function setSetting($setting)
    {
        $this->setting = $setting;

        return $this;
    }

    /**
     * Get setting
     *
     * @return string
     */
    public function getSetting()
    {
        return $this->setting;
    }

    /**
     * Set formattribute
     *
     * @param string $formattribute
     *
     * @return JieqiNewsModelField
     */
    public function setFormattribute($formattribute)
    {
        $this->formattribute = $formattribute;

        return $this;
    }

    /**
     * Get formattribute
     *
     * @return string
     */
    public function getFormattribute()
    {
        return $this->formattribute;
    }

    /**
     * Set forminfo
     *
     * @param string $forminfo
     *
     * @return JieqiNewsModelField
     */
    public function setForminfo($forminfo)
    {
        $this->forminfo = $forminfo;

        return $this;
    }

    /**
     * Get forminfo
     *
     * @return string
     */
    public function getForminfo()
    {
        return $this->forminfo;
    }

    /**
     * Set unsetgroupids
     *
     * @param string $unsetgroupids
     *
     * @return JieqiNewsModelField
     */
    public function setUnsetgroupids($unsetgroupids)
    {
        $this->unsetgroupids = $unsetgroupids;

        return $this;
    }

    /**
     * Get unsetgroupids
     *
     * @return string
     */
    public function getUnsetgroupids()
    {
        return $this->unsetgroupids;
    }

    /**
     * Set iscore
     *
     * @param boolean $iscore
     *
     * @return JieqiNewsModelField
     */
    public function setIscore($iscore)
    {
        $this->iscore = $iscore;

        return $this;
    }

    /**
     * Get iscore
     *
     * @return boolean
     */
    public function getIscore()
    {
        return $this->iscore;
    }

    /**
     * Set issystem
     *
     * @param boolean $issystem
     *
     * @return JieqiNewsModelField
     */
    public function setIssystem($issystem)
    {
        $this->issystem = $issystem;

        return $this;
    }

    /**
     * Get issystem
     *
     * @return boolean
     */
    public function getIssystem()
    {
        return $this->issystem;
    }

    /**
     * Set isunique
     *
     * @param boolean $isunique
     *
     * @return JieqiNewsModelField
     */
    public function setIsunique($isunique)
    {
        $this->isunique = $isunique;

        return $this;
    }

    /**
     * Get isunique
     *
     * @return boolean
     */
    public function getIsunique()
    {
        return $this->isunique;
    }

    /**
     * Set isbase
     *
     * @param boolean $isbase
     *
     * @return JieqiNewsModelField
     */
    public function setIsbase($isbase)
    {
        $this->isbase = $isbase;

        return $this;
    }

    /**
     * Get isbase
     *
     * @return boolean
     */
    public function getIsbase()
    {
        return $this->isbase;
    }

    /**
     * Set issearch
     *
     * @param boolean $issearch
     *
     * @return JieqiNewsModelField
     */
    public function setIssearch($issearch)
    {
        $this->issearch = $issearch;

        return $this;
    }

    /**
     * Get issearch
     *
     * @return boolean
     */
    public function getIssearch()
    {
        return $this->issearch;
    }

    /**
     * Set isselect
     *
     * @param boolean $isselect
     *
     * @return JieqiNewsModelField
     */
    public function setIsselect($isselect)
    {
        $this->isselect = $isselect;

        return $this;
    }

    /**
     * Get isselect
     *
     * @return boolean
     */
    public function getIsselect()
    {
        return $this->isselect;
    }

    /**
     * Set isorder
     *
     * @param boolean $isorder
     *
     * @return JieqiNewsModelField
     */
    public function setIsorder($isorder)
    {
        $this->isorder = $isorder;

        return $this;
    }

    /**
     * Get isorder
     *
     * @return boolean
     */
    public function getIsorder()
    {
        return $this->isorder;
    }

    /**
     * Set islist
     *
     * @param boolean $islist
     *
     * @return JieqiNewsModelField
     */
    public function setIslist($islist)
    {
        $this->islist = $islist;

        return $this;
    }

    /**
     * Get islist
     *
     * @return boolean
     */
    public function getIslist()
    {
        return $this->islist;
    }

    /**
     * Set isshow
     *
     * @param boolean $isshow
     *
     * @return JieqiNewsModelField
     */
    public function setIsshow($isshow)
    {
        $this->isshow = $isshow;

        return $this;
    }

    /**
     * Get isshow
     *
     * @return boolean
     */
    public function getIsshow()
    {
        return $this->isshow;
    }

    /**
     * Set isadd
     *
     * @param boolean $isadd
     *
     * @return JieqiNewsModelField
     */
    public function setIsadd($isadd)
    {
        $this->isadd = $isadd;

        return $this;
    }

    /**
     * Get isadd
     *
     * @return boolean
     */
    public function getIsadd()
    {
        return $this->isadd;
    }

    /**
     * Set isfulltext
     *
     * @param boolean $isfulltext
     *
     * @return JieqiNewsModelField
     */
    public function setIsfulltext($isfulltext)
    {
        $this->isfulltext = $isfulltext;

        return $this;
    }

    /**
     * Get isfulltext
     *
     * @return boolean
     */
    public function getIsfulltext()
    {
        return $this->isfulltext;
    }

    /**
     * Set listorder
     *
     * @param integer $listorder
     *
     * @return JieqiNewsModelField
     */
    public function setListorder($listorder)
    {
        $this->listorder = $listorder;

        return $this;
    }

    /**
     * Get listorder
     *
     * @return integer
     */
    public function getListorder()
    {
        return $this->listorder;
    }

    /**
     * Set disabled
     *
     * @param boolean $disabled
     *
     * @return JieqiNewsModelField
     */
    public function setDisabled($disabled)
    {
        $this->disabled = $disabled;

        return $this;
    }

    /**
     * Get disabled
     *
     * @return boolean
     */
    public function getDisabled()
    {
        return $this->disabled;
    }

    /**
     * Get fieldid
     *
     * @return integer
     */
    public function getFieldid()
    {
        return $this->fieldid;
    }
}

