<?php

namespace BookBundle\Entity;

/**
 * JieqiPoolingChapter
 */
class JieqiPoolingChapter
{
    /**
     * @var integer
     */
    private $paid = '0';

    /**
     * @var integer
     */
    private $articleid = '0';

    /**
     * @var integer
     */
    private $chapterid = '0';

    /**
     * @var integer
     */
    private $channelid = '0';

    /**
     * @var string
     */
    private $chaptername = '';

    /**
     * @var integer
     */
    private $chapterorder = '0';

    /**
     * @var string
     */
    private $content;

    /**
     * @var integer
     */
    private $size = '0';

    /**
     * @var boolean
     */
    private $chaptertype = '0';

    /**
     * @var integer
     */
    private $adddate = '0';

    /**
     * @var integer
     */
    private $pushdate = '0';

    /**
     * @var boolean
     */
    private $isvip = '0';

    /**
     * @var boolean
     */
    private $split = '0';

    /**
     * @var string
     */
    private $description;

    /**
     * @var integer
     */
    private $pcid;


    /**
     * Set paid
     *
     * @param integer $paid
     *
     * @return JieqiPoolingChapter
     */
    public function setPaid($paid)
    {
        $this->paid = $paid;

        return $this;
    }

    /**
     * Get paid
     *
     * @return integer
     */
    public function getPaid()
    {
        return $this->paid;
    }

    /**
     * Set articleid
     *
     * @param integer $articleid
     *
     * @return JieqiPoolingChapter
     */
    public function setArticleid($articleid)
    {
        $this->articleid = $articleid;

        return $this;
    }

    /**
     * Get articleid
     *
     * @return integer
     */
    public function getArticleid()
    {
        return $this->articleid;
    }

    /**
     * Set chapterid
     *
     * @param integer $chapterid
     *
     * @return JieqiPoolingChapter
     */
    public function setChapterid($chapterid)
    {
        $this->chapterid = $chapterid;

        return $this;
    }

    /**
     * Get chapterid
     *
     * @return integer
     */
    public function getChapterid()
    {
        return $this->chapterid;
    }

    /**
     * Set channelid
     *
     * @param integer $channelid
     *
     * @return JieqiPoolingChapter
     */
    public function setChannelid($channelid)
    {
        $this->channelid = $channelid;

        return $this;
    }

    /**
     * Get channelid
     *
     * @return integer
     */
    public function getChannelid()
    {
        return $this->channelid;
    }

    /**
     * Set chaptername
     *
     * @param string $chaptername
     *
     * @return JieqiPoolingChapter
     */
    public function setChaptername($chaptername)
    {
        $this->chaptername = $chaptername;

        return $this;
    }

    /**
     * Get chaptername
     *
     * @return string
     */
    public function getChaptername()
    {
        return $this->chaptername;
    }

    /**
     * Set chapterorder
     *
     * @param integer $chapterorder
     *
     * @return JieqiPoolingChapter
     */
    public function setChapterorder($chapterorder)
    {
        $this->chapterorder = $chapterorder;

        return $this;
    }

    /**
     * Get chapterorder
     *
     * @return integer
     */
    public function getChapterorder()
    {
        return $this->chapterorder;
    }

    /**
     * Set content
     *
     * @param string $content
     *
     * @return JieqiPoolingChapter
     */
    public function setContent($content)
    {
        $this->content = $content;

        return $this;
    }

    /**
     * Get content
     *
     * @return string
     */
    public function getContent()
    {
        return $this->content;
    }

    /**
     * Set size
     *
     * @param integer $size
     *
     * @return JieqiPoolingChapter
     */
    public function setSize($size)
    {
        $this->size = $size;

        return $this;
    }

    /**
     * Get size
     *
     * @return integer
     */
    public function getSize()
    {
        return $this->size;
    }

    /**
     * Set chaptertype
     *
     * @param boolean $chaptertype
     *
     * @return JieqiPoolingChapter
     */
    public function setChaptertype($chaptertype)
    {
        $this->chaptertype = $chaptertype;

        return $this;
    }

    /**
     * Get chaptertype
     *
     * @return boolean
     */
    public function getChaptertype()
    {
        return $this->chaptertype;
    }

    /**
     * Set adddate
     *
     * @param integer $adddate
     *
     * @return JieqiPoolingChapter
     */
    public function setAdddate($adddate)
    {
        $this->adddate = $adddate;

        return $this;
    }

    /**
     * Get adddate
     *
     * @return integer
     */
    public function getAdddate()
    {
        return $this->adddate;
    }

    /**
     * Set pushdate
     *
     * @param integer $pushdate
     *
     * @return JieqiPoolingChapter
     */
    public function setPushdate($pushdate)
    {
        $this->pushdate = $pushdate;

        return $this;
    }

    /**
     * Get pushdate
     *
     * @return integer
     */
    public function getPushdate()
    {
        return $this->pushdate;
    }

    /**
     * Set isvip
     *
     * @param boolean $isvip
     *
     * @return JieqiPoolingChapter
     */
    public function setIsvip($isvip)
    {
        $this->isvip = $isvip;

        return $this;
    }

    /**
     * Get isvip
     *
     * @return boolean
     */
    public function getIsvip()
    {
        return $this->isvip;
    }

    /**
     * Set split
     *
     * @param boolean $split
     *
     * @return JieqiPoolingChapter
     */
    public function setSplit($split)
    {
        $this->split = $split;

        return $this;
    }

    /**
     * Get split
     *
     * @return boolean
     */
    public function getSplit()
    {
        return $this->split;
    }

    /**
     * Set description
     *
     * @param string $description
     *
     * @return JieqiPoolingChapter
     */
    public function setDescription($description)
    {
        $this->description = $description;

        return $this;
    }

    /**
     * Get description
     *
     * @return string
     */
    public function getDescription()
    {
        return $this->description;
    }

    /**
     * Get pcid
     *
     * @return integer
     */
    public function getPcid()
    {
        return $this->pcid;
    }
}

