<?php

namespace BookBundle\Entity;

/**
 * JieqiSystemBlocks
 */
class JieqiSystemBlocks
{
    /**
     * @var string
     */
    private $blockname = '';

    /**
     * @var string
     */
    private $modname = '';

    /**
     * @var string
     */
    private $filename = '';

    /**
     * @var string
     */
    private $classname = '';

    /**
     * @var boolean
     */
    private $side = '0';

    /**
     * @var string
     */
    private $title;

    /**
     * @var string
     */
    private $description;

    /**
     * @var string
     */
    private $content;

    /**
     * @var string
     */
    private $vars;

    /**
     * @var string
     */
    private $template = '';

    /**
     * @var integer
     */
    private $cachetime = '0';

    /**
     * @var boolean
     */
    private $contenttype = '0';

    /**
     * @var integer
     */
    private $weight = '0';

    /**
     * @var boolean
     */
    private $showstatus = '0';

    /**
     * @var boolean
     */
    private $custom = '0';

    /**
     * @var boolean
     */
    private $canedit = '0';

    /**
     * @var boolean
     */
    private $publish = '0';

    /**
     * @var boolean
     */
    private $hasvars = '0';

    /**
     * @var integer
     */
    private $bid;


    /**
     * Set blockname
     *
     * @param string $blockname
     *
     * @return JieqiSystemBlocks
     */
    public function setBlockname($blockname)
    {
        $this->blockname = $blockname;

        return $this;
    }

    /**
     * Get blockname
     *
     * @return string
     */
    public function getBlockname()
    {
        return $this->blockname;
    }

    /**
     * Set modname
     *
     * @param string $modname
     *
     * @return JieqiSystemBlocks
     */
    public function setModname($modname)
    {
        $this->modname = $modname;

        return $this;
    }

    /**
     * Get modname
     *
     * @return string
     */
    public function getModname()
    {
        return $this->modname;
    }

    /**
     * Set filename
     *
     * @param string $filename
     *
     * @return JieqiSystemBlocks
     */
    public function setFilename($filename)
    {
        $this->filename = $filename;

        return $this;
    }

    /**
     * Get filename
     *
     * @return string
     */
    public function getFilename()
    {
        return $this->filename;
    }

    /**
     * Set classname
     *
     * @param string $classname
     *
     * @return JieqiSystemBlocks
     */
    public function setClassname($classname)
    {
        $this->classname = $classname;

        return $this;
    }

    /**
     * Get classname
     *
     * @return string
     */
    public function getClassname()
    {
        return $this->classname;
    }

    /**
     * Set side
     *
     * @param boolean $side
     *
     * @return JieqiSystemBlocks
     */
    public function setSide($side)
    {
        $this->side = $side;

        return $this;
    }

    /**
     * Get side
     *
     * @return boolean
     */
    public function getSide()
    {
        return $this->side;
    }

    /**
     * Set title
     *
     * @param string $title
     *
     * @return JieqiSystemBlocks
     */
    public function setTitle($title)
    {
        $this->title = $title;

        return $this;
    }

    /**
     * Get title
     *
     * @return string
     */
    public function getTitle()
    {
        return $this->title;
    }

    /**
     * Set description
     *
     * @param string $description
     *
     * @return JieqiSystemBlocks
     */
    public function setDescription($description)
    {
        $this->description = $description;

        return $this;
    }

    /**
     * Get description
     *
     * @return string
     */
    public function getDescription()
    {
        return $this->description;
    }

    /**
     * Set content
     *
     * @param string $content
     *
     * @return JieqiSystemBlocks
     */
    public function setContent($content)
    {
        $this->content = $content;

        return $this;
    }

    /**
     * Get content
     *
     * @return string
     */
    public function getContent()
    {
        return $this->content;
    }

    /**
     * Set vars
     *
     * @param string $vars
     *
     * @return JieqiSystemBlocks
     */
    public function setVars($vars)
    {
        $this->vars = $vars;

        return $this;
    }

    /**
     * Get vars
     *
     * @return string
     */
    public function getVars()
    {
        return $this->vars;
    }

    /**
     * Set template
     *
     * @param string $template
     *
     * @return JieqiSystemBlocks
     */
    public function setTemplate($template)
    {
        $this->template = $template;

        return $this;
    }

    /**
     * Get template
     *
     * @return string
     */
    public function getTemplate()
    {
        return $this->template;
    }

    /**
     * Set cachetime
     *
     * @param integer $cachetime
     *
     * @return JieqiSystemBlocks
     */
    public function setCachetime($cachetime)
    {
        $this->cachetime = $cachetime;

        return $this;
    }

    /**
     * Get cachetime
     *
     * @return integer
     */
    public function getCachetime()
    {
        return $this->cachetime;
    }

    /**
     * Set contenttype
     *
     * @param boolean $contenttype
     *
     * @return JieqiSystemBlocks
     */
    public function setContenttype($contenttype)
    {
        $this->contenttype = $contenttype;

        return $this;
    }

    /**
     * Get contenttype
     *
     * @return boolean
     */
    public function getContenttype()
    {
        return $this->contenttype;
    }

    /**
     * Set weight
     *
     * @param integer $weight
     *
     * @return JieqiSystemBlocks
     */
    public function setWeight($weight)
    {
        $this->weight = $weight;

        return $this;
    }

    /**
     * Get weight
     *
     * @return integer
     */
    public function getWeight()
    {
        return $this->weight;
    }

    /**
     * Set showstatus
     *
     * @param boolean $showstatus
     *
     * @return JieqiSystemBlocks
     */
    public function setShowstatus($showstatus)
    {
        $this->showstatus = $showstatus;

        return $this;
    }

    /**
     * Get showstatus
     *
     * @return boolean
     */
    public function getShowstatus()
    {
        return $this->showstatus;
    }

    /**
     * Set custom
     *
     * @param boolean $custom
     *
     * @return JieqiSystemBlocks
     */
    public function setCustom($custom)
    {
        $this->custom = $custom;

        return $this;
    }

    /**
     * Get custom
     *
     * @return boolean
     */
    public function getCustom()
    {
        return $this->custom;
    }

    /**
     * Set canedit
     *
     * @param boolean $canedit
     *
     * @return JieqiSystemBlocks
     */
    public function setCanedit($canedit)
    {
        $this->canedit = $canedit;

        return $this;
    }

    /**
     * Get canedit
     *
     * @return boolean
     */
    public function getCanedit()
    {
        return $this->canedit;
    }

    /**
     * Set publish
     *
     * @param boolean $publish
     *
     * @return JieqiSystemBlocks
     */
    public function setPublish($publish)
    {
        $this->publish = $publish;

        return $this;
    }

    /**
     * Get publish
     *
     * @return boolean
     */
    public function getPublish()
    {
        return $this->publish;
    }

    /**
     * Set hasvars
     *
     * @param boolean $hasvars
     *
     * @return JieqiSystemBlocks
     */
    public function setHasvars($hasvars)
    {
        $this->hasvars = $hasvars;

        return $this;
    }

    /**
     * Get hasvars
     *
     * @return boolean
     */
    public function getHasvars()
    {
        return $this->hasvars;
    }

    /**
     * Get bid
     *
     * @return integer
     */
    public function getBid()
    {
        return $this->bid;
    }
}

