<?php

namespace BookBundle\Entity;

/**
 * JieqiSystemConfigs
 */
class JieqiSystemConfigs
{
    /**
     * @var string
     */
    private $modname = '';

    /**
     * @var string
     */
    private $cname = '';

    /**
     * @var string
     */
    private $ctitle = '';

    /**
     * @var string
     */
    private $cvalue;

    /**
     * @var string
     */
    private $cdescription;

    /**
     * @var boolean
     */
    private $cdefine = '0';

    /**
     * @var boolean
     */
    private $ctype = '0';

    /**
     * @var string
     */
    private $options;

    /**
     * @var integer
     */
    private $catorder = '0';

    /**
     * @var string
     */
    private $catname = '';

    /**
     * @var integer
     */
    private $cid;


    /**
     * Set modname
     *
     * @param string $modname
     *
     * @return JieqiSystemConfigs
     */
    public function setModname($modname)
    {
        $this->modname = $modname;

        return $this;
    }

    /**
     * Get modname
     *
     * @return string
     */
    public function getModname()
    {
        return $this->modname;
    }

    /**
     * Set cname
     *
     * @param string $cname
     *
     * @return JieqiSystemConfigs
     */
    public function setCname($cname)
    {
        $this->cname = $cname;

        return $this;
    }

    /**
     * Get cname
     *
     * @return string
     */
    public function getCname()
    {
        return $this->cname;
    }

    /**
     * Set ctitle
     *
     * @param string $ctitle
     *
     * @return JieqiSystemConfigs
     */
    public function setCtitle($ctitle)
    {
        $this->ctitle = $ctitle;

        return $this;
    }

    /**
     * Get ctitle
     *
     * @return string
     */
    public function getCtitle()
    {
        return $this->ctitle;
    }

    /**
     * Set cvalue
     *
     * @param string $cvalue
     *
     * @return JieqiSystemConfigs
     */
    public function setCvalue($cvalue)
    {
        $this->cvalue = $cvalue;

        return $this;
    }

    /**
     * Get cvalue
     *
     * @return string
     */
    public function getCvalue()
    {
        return $this->cvalue;
    }

    /**
     * Set cdescription
     *
     * @param string $cdescription
     *
     * @return JieqiSystemConfigs
     */
    public function setCdescription($cdescription)
    {
        $this->cdescription = $cdescription;

        return $this;
    }

    /**
     * Get cdescription
     *
     * @return string
     */
    public function getCdescription()
    {
        return $this->cdescription;
    }

    /**
     * Set cdefine
     *
     * @param boolean $cdefine
     *
     * @return JieqiSystemConfigs
     */
    public function setCdefine($cdefine)
    {
        $this->cdefine = $cdefine;

        return $this;
    }

    /**
     * Get cdefine
     *
     * @return boolean
     */
    public function getCdefine()
    {
        return $this->cdefine;
    }

    /**
     * Set ctype
     *
     * @param boolean $ctype
     *
     * @return JieqiSystemConfigs
     */
    public function setCtype($ctype)
    {
        $this->ctype = $ctype;

        return $this;
    }

    /**
     * Get ctype
     *
     * @return boolean
     */
    public function getCtype()
    {
        return $this->ctype;
    }

    /**
     * Set options
     *
     * @param string $options
     *
     * @return JieqiSystemConfigs
     */
    public function setOptions($options)
    {
        $this->options = $options;

        return $this;
    }

    /**
     * Get options
     *
     * @return string
     */
    public function getOptions()
    {
        return $this->options;
    }

    /**
     * Set catorder
     *
     * @param integer $catorder
     *
     * @return JieqiSystemConfigs
     */
    public function setCatorder($catorder)
    {
        $this->catorder = $catorder;

        return $this;
    }

    /**
     * Get catorder
     *
     * @return integer
     */
    public function getCatorder()
    {
        return $this->catorder;
    }

    /**
     * Set catname
     *
     * @param string $catname
     *
     * @return JieqiSystemConfigs
     */
    public function setCatname($catname)
    {
        $this->catname = $catname;

        return $this;
    }

    /**
     * Get catname
     *
     * @return string
     */
    public function getCatname()
    {
        return $this->catname;
    }

    /**
     * Get cid
     *
     * @return integer
     */
    public function getCid()
    {
        return $this->cid;
    }
}

