<?php

namespace BookBundle\Entity;

/**
 * JieqiSystemModules
 */
class JieqiSystemModules
{
    /**
     * @var string
     */
    private $name = '';

    /**
     * @var string
     */
    private $caption = '';

    /**
     * @var string
     */
    private $description;

    /**
     * @var integer
     */
    private $version = '100';

    /**
     * @var string
     */
    private $vtype = '';

    /**
     * @var integer
     */
    private $lastupdate = '0';

    /**
     * @var integer
     */
    private $weight = '0';

    /**
     * @var boolean
     */
    private $publish = '0';

    /**
     * @var boolean
     */
    private $modtype = '0';

    /**
     * @var integer
     */
    private $mid;


    /**
     * Set name
     *
     * @param string $name
     *
     * @return JieqiSystemModules
     */
    public function setName($name)
    {
        $this->name = $name;

        return $this;
    }

    /**
     * Get name
     *
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * Set caption
     *
     * @param string $caption
     *
     * @return JieqiSystemModules
     */
    public function setCaption($caption)
    {
        $this->caption = $caption;

        return $this;
    }

    /**
     * Get caption
     *
     * @return string
     */
    public function getCaption()
    {
        return $this->caption;
    }

    /**
     * Set description
     *
     * @param string $description
     *
     * @return JieqiSystemModules
     */
    public function setDescription($description)
    {
        $this->description = $description;

        return $this;
    }

    /**
     * Get description
     *
     * @return string
     */
    public function getDescription()
    {
        return $this->description;
    }

    /**
     * Set version
     *
     * @param integer $version
     *
     * @return JieqiSystemModules
     */
    public function setVersion($version)
    {
        $this->version = $version;

        return $this;
    }

    /**
     * Get version
     *
     * @return integer
     */
    public function getVersion()
    {
        return $this->version;
    }

    /**
     * Set vtype
     *
     * @param string $vtype
     *
     * @return JieqiSystemModules
     */
    public function setVtype($vtype)
    {
        $this->vtype = $vtype;

        return $this;
    }

    /**
     * Get vtype
     *
     * @return string
     */
    public function getVtype()
    {
        return $this->vtype;
    }

    /**
     * Set lastupdate
     *
     * @param integer $lastupdate
     *
     * @return JieqiSystemModules
     */
    public function setLastupdate($lastupdate)
    {
        $this->lastupdate = $lastupdate;

        return $this;
    }

    /**
     * Get lastupdate
     *
     * @return integer
     */
    public function getLastupdate()
    {
        return $this->lastupdate;
    }

    /**
     * Set weight
     *
     * @param integer $weight
     *
     * @return JieqiSystemModules
     */
    public function setWeight($weight)
    {
        $this->weight = $weight;

        return $this;
    }

    /**
     * Get weight
     *
     * @return integer
     */
    public function getWeight()
    {
        return $this->weight;
    }

    /**
     * Set publish
     *
     * @param boolean $publish
     *
     * @return JieqiSystemModules
     */
    public function setPublish($publish)
    {
        $this->publish = $publish;

        return $this;
    }

    /**
     * Get publish
     *
     * @return boolean
     */
    public function getPublish()
    {
        return $this->publish;
    }

    /**
     * Set modtype
     *
     * @param boolean $modtype
     *
     * @return JieqiSystemModules
     */
    public function setModtype($modtype)
    {
        $this->modtype = $modtype;

        return $this;
    }

    /**
     * Get modtype
     *
     * @return boolean
     */
    public function getModtype()
    {
        return $this->modtype;
    }

    /**
     * Get mid
     *
     * @return integer
     */
    public function getMid()
    {
        return $this->mid;
    }
}

