<?php

namespace BookBundle\Entity;

/**
 * JieqiSystemVipgrade
 */
class JieqiSystemVipgrade
{
    /**
     * @var string
     */
    private $caption = '';

    /**
     * @var integer
     */
    private $minscore = '0';

    /**
     * @var integer
     */
    private $maxscore = '0';

    /**
     * @var string
     */
    private $setting;

    /**
     * @var boolean
     */
    private $vipgradetype = '0';

    /**
     * @var string
     */
    private $photo;

    /**
     * @var integer
     */
    private $vipgradeid;


    /**
     * Set caption
     *
     * @param string $caption
     *
     * @return JieqiSystemVipgrade
     */
    public function setCaption($caption)
    {
        $this->caption = $caption;

        return $this;
    }

    /**
     * Get caption
     *
     * @return string
     */
    public function getCaption()
    {
        return $this->caption;
    }

    /**
     * Set minscore
     *
     * @param integer $minscore
     *
     * @return JieqiSystemVipgrade
     */
    public function setMinscore($minscore)
    {
        $this->minscore = $minscore;

        return $this;
    }

    /**
     * Get minscore
     *
     * @return integer
     */
    public function getMinscore()
    {
        return $this->minscore;
    }

    /**
     * Set maxscore
     *
     * @param integer $maxscore
     *
     * @return JieqiSystemVipgrade
     */
    public function setMaxscore($maxscore)
    {
        $this->maxscore = $maxscore;

        return $this;
    }

    /**
     * Get maxscore
     *
     * @return integer
     */
    public function getMaxscore()
    {
        return $this->maxscore;
    }

    /**
     * Set setting
     *
     * @param string $setting
     *
     * @return JieqiSystemVipgrade
     */
    public function setSetting($setting)
    {
        $this->setting = $setting;

        return $this;
    }

    /**
     * Get setting
     *
     * @return string
     */
    public function getSetting()
    {
        return $this->setting;
    }

    /**
     * Set vipgradetype
     *
     * @param boolean $vipgradetype
     *
     * @return JieqiSystemVipgrade
     */
    public function setVipgradetype($vipgradetype)
    {
        $this->vipgradetype = $vipgradetype;

        return $this;
    }

    /**
     * Get vipgradetype
     *
     * @return boolean
     */
    public function getVipgradetype()
    {
        return $this->vipgradetype;
    }

    /**
     * Set photo
     *
     * @param string $photo
     *
     * @return JieqiSystemVipgrade
     */
    public function setPhoto($photo)
    {
        $this->photo = $photo;

        return $this;
    }

    /**
     * Get photo
     *
     * @return string
     */
    public function getPhoto()
    {
        return $this->photo;
    }

    /**
     * Get vipgradeid
     *
     * @return integer
     */
    public function getVipgradeid()
    {
        return $this->vipgradeid;
    }
}

