<?php

namespace BookBundle\Entity;

/**
 * JieqiWapBook
 */
class JieqiWapBook
{
    /**
     * @var string
     */
    private $bookName;

    /**
     * @var string
     */
    private $authorName;

    /**
     * @var integer
     */
    private $cpId = '5000';

    /**
     * @var string
     */
    private $summary;

    /**
     * @var string
     */
    private $pubJson;

    /**
     * @var boolean
     */
    private $imageJson;

    /**
     * @var integer
     */
    private $finished;

    /**
     * @var integer
     */
    private $categoryId;

    /**
     * @var string
     */
    private $lastChapterId;

    /**
     * @var integer
     */
    private $chapters;

    /**
     * @var integer
     */
    private $words;

    /**
     * @var integer
     */
    private $updateUtc;

    /**
     * @var string
     */
    private $copyrightJson;

    /**
     * @var integer
     */
    private $cpBookId;

    /**
     * @var string
     */
    private $recommend = '暂无';

    /**
     * @var integer
     */
    private $topShow = '0';

    /**
     * @var integer
     */
    private $bookId;


    /**
     * Set bookName
     *
     * @param string $bookName
     *
     * @return JieqiWapBook
     */
    public function setBookName($bookName)
    {
        $this->bookName = $bookName;

        return $this;
    }

    /**
     * Get bookName
     *
     * @return string
     */
    public function getBookName()
    {
        return $this->bookName;
    }

    /**
     * Set authorName
     *
     * @param string $authorName
     *
     * @return JieqiWapBook
     */
    public function setAuthorName($authorName)
    {
        $this->authorName = $authorName;

        return $this;
    }

    /**
     * Get authorName
     *
     * @return string
     */
    public function getAuthorName()
    {
        return $this->authorName;
    }

    /**
     * Set cpId
     *
     * @param integer $cpId
     *
     * @return JieqiWapBook
     */
    public function setCpId($cpId)
    {
        $this->cpId = $cpId;

        return $this;
    }

    /**
     * Get cpId
     *
     * @return integer
     */
    public function getCpId()
    {
        return $this->cpId;
    }

    /**
     * Set summary
     *
     * @param string $summary
     *
     * @return JieqiWapBook
     */
    public function setSummary($summary)
    {
        $this->summary = $summary;

        return $this;
    }

    /**
     * Get summary
     *
     * @return string
     */
    public function getSummary()
    {
        return $this->summary;
    }

    /**
     * Set pubJson
     *
     * @param string $pubJson
     *
     * @return JieqiWapBook
     */
    public function setPubJson($pubJson)
    {
        $this->pubJson = $pubJson;

        return $this;
    }

    /**
     * Get pubJson
     *
     * @return string
     */
    public function getPubJson()
    {
        return $this->pubJson;
    }

    /**
     * Set imageJson
     *
     * @param boolean $imageJson
     *
     * @return JieqiWapBook
     */
    public function setImageJson($imageJson)
    {
        $this->imageJson = $imageJson;

        return $this;
    }

    /**
     * Get imageJson
     *
     * @return boolean
     */
    public function getImageJson()
    {
        return $this->imageJson;
    }

    /**
     * Set finished
     *
     * @param integer $finished
     *
     * @return JieqiWapBook
     */
    public function setFinished($finished)
    {
        $this->finished = $finished;

        return $this;
    }

    /**
     * Get finished
     *
     * @return integer
     */
    public function getFinished()
    {
        return $this->finished;
    }

    /**
     * Set categoryId
     *
     * @param integer $categoryId
     *
     * @return JieqiWapBook
     */
    public function setCategoryId($categoryId)
    {
        $this->categoryId = $categoryId;

        return $this;
    }

    /**
     * Get categoryId
     *
     * @return integer
     */
    public function getCategoryId()
    {
        return $this->categoryId;
    }

    /**
     * Set lastChapterId
     *
     * @param string $lastChapterId
     *
     * @return JieqiWapBook
     */
    public function setLastChapterId($lastChapterId)
    {
        $this->lastChapterId = $lastChapterId;

        return $this;
    }

    /**
     * Get lastChapterId
     *
     * @return string
     */
    public function getLastChapterId()
    {
        return $this->lastChapterId;
    }

    /**
     * Set chapters
     *
     * @param integer $chapters
     *
     * @return JieqiWapBook
     */
    public function setChapters($chapters)
    {
        $this->chapters = $chapters;

        return $this;
    }

    /**
     * Get chapters
     *
     * @return integer
     */
    public function getChapters()
    {
        return $this->chapters;
    }

    /**
     * Set words
     *
     * @param integer $words
     *
     * @return JieqiWapBook
     */
    public function setWords($words)
    {
        $this->words = $words;

        return $this;
    }

    /**
     * Get words
     *
     * @return integer
     */
    public function getWords()
    {
        return $this->words;
    }

    /**
     * Set updateUtc
     *
     * @param integer $updateUtc
     *
     * @return JieqiWapBook
     */
    public function setUpdateUtc($updateUtc)
    {
        $this->updateUtc = $updateUtc;

        return $this;
    }

    /**
     * Get updateUtc
     *
     * @return integer
     */
    public function getUpdateUtc()
    {
        return $this->updateUtc;
    }

    /**
     * Set copyrightJson
     *
     * @param string $copyrightJson
     *
     * @return JieqiWapBook
     */
    public function setCopyrightJson($copyrightJson)
    {
        $this->copyrightJson = $copyrightJson;

        return $this;
    }

    /**
     * Get copyrightJson
     *
     * @return string
     */
    public function getCopyrightJson()
    {
        return $this->copyrightJson;
    }

    /**
     * Set cpBookId
     *
     * @param integer $cpBookId
     *
     * @return JieqiWapBook
     */
    public function setCpBookId($cpBookId)
    {
        $this->cpBookId = $cpBookId;

        return $this;
    }

    /**
     * Get cpBookId
     *
     * @return integer
     */
    public function getCpBookId()
    {
        return $this->cpBookId;
    }

    /**
     * Set recommend
     *
     * @param string $recommend
     *
     * @return JieqiWapBook
     */
    public function setRecommend($recommend)
    {
        $this->recommend = $recommend;

        return $this;
    }

    /**
     * Get recommend
     *
     * @return string
     */
    public function getRecommend()
    {
        return $this->recommend;
    }

    /**
     * Set topShow
     *
     * @param integer $topShow
     *
     * @return JieqiWapBook
     */
    public function setTopShow($topShow)
    {
        $this->topShow = $topShow;

        return $this;
    }

    /**
     * Get topShow
     *
     * @return integer
     */
    public function getTopShow()
    {
        return $this->topShow;
    }

    /**
     * Get bookId
     *
     * @return integer
     */
    public function getBookId()
    {
        return $this->bookId;
    }
}

