<?php

namespace BookBundle\Entity;

/**
 * JieqiWapCategory
 */
class JieqiWapCategory
{
    /**
     * @var string
     */
    private $caption;

    /**
     * @var string
     */
    private $shortName;

    /**
     * @var integer
     */
    private $sortId;

    /**
     * @var string
     */
    private $description;

    /**
     * @var integer
     */
    private $categoryId;


    /**
     * Set caption
     *
     * @param string $caption
     *
     * @return JieqiWapCategory
     */
    public function setCaption($caption)
    {
        $this->caption = $caption;

        return $this;
    }

    /**
     * Get caption
     *
     * @return string
     */
    public function getCaption()
    {
        return $this->caption;
    }

    /**
     * Set shortName
     *
     * @param string $shortName
     *
     * @return JieqiWapCategory
     */
    public function setShortName($shortName)
    {
        $this->shortName = $shortName;

        return $this;
    }

    /**
     * Get shortName
     *
     * @return string
     */
    public function getShortName()
    {
        return $this->shortName;
    }

    /**
     * Set sortId
     *
     * @param integer $sortId
     *
     * @return JieqiWapCategory
     */
    public function setSortId($sortId)
    {
        $this->sortId = $sortId;

        return $this;
    }

    /**
     * Get sortId
     *
     * @return integer
     */
    public function getSortId()
    {
        return $this->sortId;
    }

    /**
     * Set description
     *
     * @param string $description
     *
     * @return JieqiWapCategory
     */
    public function setDescription($description)
    {
        $this->description = $description;

        return $this;
    }

    /**
     * Get description
     *
     * @return string
     */
    public function getDescription()
    {
        return $this->description;
    }

    /**
     * Get categoryId
     *
     * @return integer
     */
    public function getCategoryId()
    {
        return $this->categoryId;
    }
}

